<?php
/**
 * This file is the 404 template file, used to display
 * an error message if a page is not found.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Jot WordPress Theme 
 * @copyright Copyright (C) 2015, Kevin Archibald
 * @license	  http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author	  Kevin Archibald <www.kevinsspace.ca/contact/>
 * Jot is distributed under the terms of the GNU GPL
 */
global $jot_options;

get_header('no_sidebar'); ?>

<?php if( $jot_options['jot_use_more_navi_strip'] == true ){
	if($jot_options['jot_more_navi_loc'] == 'below action strip right' || $jot_options['jot_more_navi_loc'] == 'below action strip left' ) { ?>
		<div class="jot-more-navigation">
			<div class="jot-more-navigation-800">
				<?php jot_more_nav(); ?>
			</div>
		</div>
	<?php } 
} ?>

<div class="jot-content">
	<div class="jot-content-800">
		<main class="content-404">
		
			<h1><i class="fa fa-exclamation-triangle"></i> <?php _e('404 - Sorry - Page Not Found','jot'); ?></h1>
			
			<p><?php _e('Can you refine your search and try again?','jot'); ?></p>
			<br/>
			
			<?php get_search_form(); ?>
			
			<br/>
			<h4><?php _e('Recent Posts' , 'jot'); ?></h4>
			<ul class="fa-ul recent-posts">
				<?php
					$id_picks_string = jot_exclude_category_validation();
					$id_picks = array();
					$id_picks = explode( ',', $id_picks_string );
					$counter = 0;
					$filtered_list = '';
					foreach( $id_picks as $pick ) {
						if( intval( $id_picks[$counter] ) >= 1 ) {
							$filtered_list .= '-'.intval( $id_picks[$counter] ).',';
						}
						$counter++;
					}
					$exclude_ids = trim( $filtered_list , ',');
					$x = "'".$exclude_ids."'";
					$args = array( 'numberposts' => '5' , 'category' => $x , 'post_status' => 'publish'  );
					$recent_posts = wp_get_recent_posts( $args );
					foreach( $recent_posts as $recent ){
						echo '<li><i class="fa-li fa fa-check-square"></i><a href="' . get_permalink($recent["ID"]) . '" title="'.__('Select','jot').' '.esc_attr($recent["post_title"]).'" >' .   $recent["post_title"].'</a> </li> ';
					}
					echo '<br/';
				?>
			</ul>
		
		</main>
	</div><!-- content -->
</div><!-- content-wrap -->

<?php get_footer('blog'); ?>