<?php 
/**
 * Footer Template Part File for index.php
 * 
 * Template part file that contains the site footer for index.php 
 * and closing HTML body elements
 *
 * This file is called by all primary template pages
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */

if( is_active_sidebar( 'jot_default_sidebar_footer' ) || is_active_sidebar( 'jot_default_sidebar_copyright' ) ) { ?>
	
	<footer id="jot-footer">
		<?php if( is_active_sidebar( 'jot_default_sidebar_footer' ) ) { ?>
			<div id="footer-wrap">
				<div id="footer-wrap-800">
					<?php dynamic_sidebar('jot_default_sidebar_footer'); ?>
				</div>
			</div>
		<?php }
		
		if( is_active_sidebar( 'jot_default_sidebar_copyright' ) ) { ?>
			<div id="copyright-wrap">
				<div id="copyright-wrap-800">
					<?php dynamic_sidebar('jot_default_sidebar_copyright'); ?>
				</div>
			</div>
		<?php } ?>
		
	</footer>

<?php }

wp_footer(); ?>
</body>
</html>