<?php 
/**
 * Footer Template Part File for page.php
 * 
 * Template part file that contains the site footer for page.php
 * and closing HTML body elements
 *
 * This file is called by page.php
 * 
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
$footer_sidebar = sanitize_text_field( ( get_post_meta($post->ID,'jot_metabox_page_sidebar_footer',true) == ''? 'jot_page_sidebar_footer' : get_post_meta($post->ID,'jot_metabox_page_sidebar_footer',true) ) );
$copyright_sidebar = sanitize_text_field( ( get_post_meta($post->ID,'jot_metabox_page_sidebar_copyright',true) == ''? 'jot_page_sidebar_copyright' : get_post_meta($post->ID,'jot_metabox_page_sidebar_copyright',true) ) );
 
if( $footer_sidebar != 'jot_no_sidebar' || $copyright_sidebar != 'jot_no_sidebar' ) {
 
	if( is_active_sidebar( $footer_sidebar ) || is_active_sidebar( $copyright_sidebar ) ) { ?>
		
		<footer id="jot-footer">
			<?php if( is_active_sidebar( $footer_sidebar ) ) { ?>
				<div id="footer-wrap">
					<div id="footer-wrap-800">
						<?php if ( !dynamic_sidebar( $footer_sidebar ) ) : ?>
										
						<?php endif; ?>
					</div>
				</div>
			<?php }
			
			if( is_active_sidebar( $copyright_sidebar ) ) { ?>
				<div id="copyright-wrap">
					<div id="copyright-wrap-800">
						<?php if ( !dynamic_sidebar( $copyright_sidebar ) ) : ?>
										
						<?php endif; ?>
					</div>
				</div>
			<?php } ?>
			
		</footer>
	
	<?php }

}

wp_footer(); ?>
</body>
</html>