<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;
    
/**
 * Header Template Part File for index.php
 * 
 * Template part file that contains the HTML document head and 
 * opening HTML body elements, as well as the site header.
 *
 * This file is called by certain primary template pages
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
 global $jot_options;
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
	
<meta charset=<?php bloginfo('charset'); ?> >
<meta name="viewport" content="width=device-width, initial-scale=1" />

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<?php if( $jot_options['jot_use_more_navi_strip'] == true ){
	if($jot_options['jot_more_navi_loc'] == 'top right' || $jot_options['jot_more_navi_loc'] == 'top left' ) { ?>
		<div class="jot-more-navigation">
			<div class="jot-more-navigation-800">
				<?php jot_more_nav(); ?>
			</div>
		</div>
	<?php } 
} ?>

<?php if( $jot_options[ 'jot_header_image' ] != '' || $jot_options[ 'jot_display_title' ] == 1 || $jot_options[ 'jot_display_description' ] == 1 ) { ?>
	<header id="main-header" >
		<div id="main-header-800">
			<?php jot_header(); ?>
		</div>
	</header>
<?php } ?>

<header id="action-header">
	<div id="action-header-800">
		<div id="action-left">
			<div id="jot-mobile-button"></div>
			<?php if( isset( $jot_options[ 'jot_contact_link' ] ) && $jot_options[ 'jot_contact_link' ] != '' ) { ?>
				<a class="jot-contact" href="<?php echo esc_url($jot_options['jot_contact_link']); ?>" ><i class="fa fa-fw fa-envelope large" title="<?php _e('Contact Me','jot'); ?>"></i></a>
			<?php } ?>
		</div>
		<?php if( is_active_sidebar( 'jot_action_social_sidebar' ) ) { ?>
			<div class="action-social">
				<?php dynamic_sidebar('jot_action_social_sidebar'); ?>
			</div>
		<?php } ?>
		<span class="jot-show-search-trigger"><a href="#"><i class="fa fa-search"></i></a></span>
		<div class="action-search">
			<?php get_search_form(); ?>
		</div>
	</div>
</header>

<header id="nav-header">
	<nav id="nav-header-800">
		<h2 class="screen-reader-text"><?php _e('Main Navigation' , 'jot' ); ?></h2>
		<?php jot_header_menu(); ?>
		<div class="jot-mobile-nav-container">
			<div id="jot-mobile-menu"></div>
		</div>
		
	</nav>
	<div class="clearfix"></div>
</header>	