<?php
/**
 * home.php is the Blog Page template file
 *
 * This file is used for all blog pages weather default or specified
 * 
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Jot WordPress Theme 
 * @copyright Copyright (C) 2015, Kevin Archibald
 * @license	  http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author	  Kevin Archibald <www.kevinsspace.ca/contact/>
 * Jot is distributed under the terms of the GNU GPL
 */
global $jot_options;
$post_style = sanitize_text_field( $jot_options[ 'jot_blog_style' ] );

get_header('blog'); ?>

<?php if( $jot_options['jot_use_more_navi_strip'] == true ){
	if($jot_options['jot_more_navi_loc'] == 'below action strip right' || $jot_options['jot_more_navi_loc'] == 'below action strip left' ) { ?>
		<div class="jot-more-navigation">
			<div class="jot-more-navigation-800">
				<?php jot_more_nav(); ?>
			</div>
		</div>
	<?php } 
} ?>

<?php if( is_active_sidebar( 'jot_default_slider_sidebar' ) ) { ?>
	<div class="jot-slider">
		<div class="jot-slider-800">
			<?php dynamic_sidebar('jot_default_slider_sidebar'); ?>
		</div>
	</div>
<?php } ?>

<?php if( is_active_sidebar( 'jot_default_sidebar_before_content' ) ) { ?>
	<div class="sidebar-before-content">
		<div class="sidebar-before-content-800">
			<?php dynamic_sidebar('jot_default_sidebar_before_content'); ?>
		</div>
	</div>
<?php } ?>

<div class="jot-content">
	<main class="jot-content-800">
		
		<?php
			if( $post_style == 'two column grid' ) {
				get_template_part( '/template-parts/blog', 'two_col_posts' ); 
			} else if( $post_style == 'three column grid' ) {
				get_template_part( '/template-parts/blog', 'three_col_posts' ); 
			} else {
				get_template_part( '/template-parts/blog', 'one_col_posts' ); 
			}
		?>
	
	</main><!-- content -->
</div><!-- content-wrap -->

<?php if( is_active_sidebar( 'jot_default_sidebar_after_content' ) ) { ?>
	<div class="sidebar-after-content">
		<div class="sidebar-after-content-800">
			<?php dynamic_sidebar('jot_default_sidebar_after_content'); ?>
		</div>
	</div>
<?php } ?>

<?php get_footer('blog'); ?>