<?php
/**
 * jot Theme Customizer
 * This file sets up the options for the theme.
 *
 * @package   jot WordPress Theme 
 * @copyright Copyright (C) 2015, Kevin Archibald
 * @license	  GPLv3 http://www.gnu.org/licenses/quick-guide-gplv3.html
 * @author	  AUTHOR <kevinsspace.ca/contact/>
 * jot is distributed under the terms of the GNU GPL
 * 
 * ============ DO NOT REMOVE ===========================================================
 * This options setup is based upon the following :
 * KA WordPress Customize Setup, version 1.0
 * Copyright (C) 2015, Kevin Archibald kevinsspace.ca
 * This theme customizer setup file distributed under the GPL
 * http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * ============ END DO NOT REMOVE ========================================================
 * =======================================================================================
 *                                       Notes
 * =======================================================================================
 * customizer refers to Appearance=>Customize in the WordPress admin panel.
 * 
 * This script is really designed for theme developers who will have alot of options.
 * You can set up options in sections within panels in the customizer.
 * You can save options to the theme_mods_jot table or the jot_customize_options 
 * table in the options section of your WordPress database
 * theme_mods_jot - options saved here will need to be re-entered in a child theme
 * jot_customize_options - these options will also be used by child themes
 */
/** ==================== ADD HTML BLOCK to CUSTOMIZE PANEL ================================
 * 
 * This function adds a html block at the start of the options which allows an intro panel
 * ****************************************************************************************
 * Important replace panel1 in the add_action()with the name of the first panel you create
 * ****************************************************************************************
 * If you do not want this feature then delete the code
 * 
 */
add_action( 'customize_render_panel_jot_intro', 'jot_customizer_intro' );
function jot_customizer_intro(){

    echo '<li id="accordion-panel-general" class="jot-intro accordion-section control-section control-panel control-panel-default">'.
			'<h3 class="jot-intro-title">'.
				__('Jot Theme Links','jot').
				'<span class="screen-reader-text">'.__('Press return or enter to expand','jot').'</span>'.
			'</h3>'.
			//Author site
			'<a class="jot-intro-author button" href="//kevinsspace.ca/" title="Kevin\'s Space" target="_blank" >'.
			__('Author','jot').'</a>'.
			//Demo Site
			'<a class="jot-intro-demo button" href="//kevinsspace.ca/demo4/" title="Jot Theme Demo" target="_blank" >'.
			__('Demo','jot').'</a>'.
			// Donate Link
			'<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">'.
				'<input type="hidden" name="cmd" value="_s-xclick">'.
				'<input type="hidden" name="hosted_button_id" value="D2Q328RQAC4XW">'.
				'<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donate_SM.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">'.
				'<img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">'.
			'</form>'.'<br/>'.
			'&nbsp;&nbsp;&nbsp;<span class="dashicons-before dashicons-update" style="color:red;">'.__(' - means Save and Reload to see changes.','jot').'</span>'.
		'</li>';
}
/** ===================== PANEL and SECTION ARRAY ========================================
 * 
 * This function sets up the panels and sub panels for the Theme Customizer
 * The first panel is named panel1 and this is the panel to use for your theme info links.
 * If you want to add theme info links:
 *     *********See the section above ADD HTML BLOCK to CUSTOMIZE PANEL*************
 * 
 * For demonstration purposes, this sets up an array with three panels.
 * Fill in your own information for your customizer options setup
 * 
 */
function jot_get_customizer_groups() {
	$groups = array (
		'jot_intro' => array(
			'name' => 'jot_intro',
			'title' => __( 'Jot Intro','jot'),
			'description' => '',
			'priority' => 1,
			'sections' => array(
				'intro_intro' => array(
					'name' => 'intro_intro',
					'title' => __( 'Jot Intro Links','jot'),
					'description' => '',
					'priority' => 1
				)
			)
		),
		'jot_general' => array( //you must have at least one panel
			'name' => 'jot_general',// id of the panel keep the same as the panel key above
			'title' => __( 'Jot Options','jot'),//title for the panel, for ex jot General Options
			'description' => '',
			'priority' => 1,//priority where the panels will go in the display
			'sections' => array(//must have at least one section
				'jot_general_setup' => array( //good practice to keep the array key the same as the name
					'name' => 'jot_general_setup',//name of the section that will be used where the options are set up
					'title' => __( 'Jot General Set Up','jot'),//title that will appear for the section
					'description' => '',//you can add a description of what is in the section if you want
					'priority' => 1//priority where the section will list within the panel
				),
				'jot_general_more_nav' => array(//repeat sections as you want
					'name' => 'jot_general_more_nav',
					'title' => __( 'Jot More Nav','jot'),
					'description' => '',
					'priority' => 3
				),
				'jot_general_blog' => array(//repeat sections as you want
					'name' => 'jot_general_blog',
					'title' => __( 'Jot Blog Options','jot'),
					'description' => '',
					'priority' => 4
				),
				'jot_remove_categories' => array(//repeat sections as you want
					'name' => 'jot_remove_categories',
					'title' => __( 'Jot Remove Categories','jot'),
					'description' => 'This control allows you to select categories to exclude from posts and recent post lists.',
					'priority' => 5
				),
				'jot_general_header' => array(//repeat sections as you want
					'name' => 'jot_general_header',
					'title' => __( 'Jot Header Options','jot'),
					'description' => '',
					'priority' => 6
				),
				'jot_general_social' => array(//repeat sections as you want
					'name' => 'jot_general_social',
					'title' => __( 'Jot Social Links','jot'),
					'description' => '',
					'priority' => 7
				),
			),
		),
		'jot_styles' => array(//repeat panels as you want
			'name' => 'jot_styles',
			'title' => __( 'Jot Styles','jot'),
			'description' => '',
			'priority' => 2,
			'sections' => array(
				'jot_styles_general' => array(
					'name' => 'jot_styles_general',
					'title' => __( 'Jot General Styles','jot'),
					'description' => '',
					'priority' => 1
				),
				'jot_styles_fonts' => array(
					'name' => 'jot_styles_fonts',
					'title' => __( 'Jot Font Options','jot'),
					'description' => '',
					'priority' => 2
				),
				'jot_styles_action' => array(
					'name' => 'jot_styles_action',
					'title' => __( 'Jot Action Header','jot'),
					'description' => '',
					'priority' => 3
				),
				'jot_styles_colors' => array(
					'name' => 'jot_styles_colors',
					'title' => __( 'Jot Colors','jot'),
					'description' => '',
					'priority' => 3
				),
			),
		),
		'jot_post_formats' => array(//repeat panels as you want
			'name' => 'jot_post_formats',
			'title' => __( 'Jot Post Formats' , 'jot' ),
			'description' => __( 'Options for post formats' , 'jot' ),
			'priority' => 3,
			'sections' => array(
				'jot_pf_standard' => array(
					'name' => 'jot_pf_standard',
					'title' => __( 'Jot Standard','jot'),
					'description' => '',
					'priority' => 3
				),
				'jot_pf_aside' => array(
					'name' => 'jot_pf_aside',
					'title' => __( 'Jot Aside','jot'),
					'description' => '',
					'priority' => 1
				),
				'jot_pf_audio' => array(
					'name' => 'jot_pf_audio',
					'title' => __( 'Jot Audio','jot'),
					'description' => '',
					'priority' => 1
				),
				'jot_pf_chat' => array(
					'name' => 'jot_pf_chat',
					'title' => __( 'Jot Chat','jot'),
					'description' => '',
					'priority' => 1
				),
				'jot_pf_gallery' => array(
					'name' => 'jot_pf_gallery',
					'title' => __( 'Jot Gallery','jot'),
					'description' => '',
					'priority' => 2
				),
				'jot_pf_image' => array(
					'name' => 'jot_pf_image',
					'title' => __( 'Jot Image','jot'),
					'description' => '',
					'priority' => 2
				),
				'jot_pf_link' => array(
					'name' => 'jot_pf_link',
					'title' => __( 'Jot Link','jot'),
					'description' => '',
					'priority' => 2
				),
				'jot_pf_quote' => array(
					'name' => 'jot_pf_quote',
					'title' => __( 'Jot Quote','jot'),
					'description' => '',
					'priority' => 2
				),
				'jot_pf_status' => array(
					'name' => 'jot_pf_status',
					'title' => __( 'Jot Status','jot'),
					'description' => '',
					'priority' => 2
				),
				'jot_pf_video' => array(
					'name' => 'jot_pf_video',
					'title' => __( 'Jot Video','jot'),
					'description' => '',
					'priority' => 2
				),
			),
		)//note there
		
	);

	return apply_filters( 'jot_get_customizer_groups', $groups );
}

/** ===================== OPTIONS ARRAY ========================================
 * This function sets up the array with the option parameters
 * 
 * format 
 * 
 * 'jot_id' => array(
 *		'name' => 'jot_id',//keep the name the same as the option key. ALL OPTION NAMES MUST BE UNIQUE
 *		'title' => __('Title of Option','jot'),//title to show in option
 * 		'option_type' => 'text',//text, textarea, checkbox, radio, select, range, image, color, upload, scat, stag
 * 		'setting_type' => 'option', //option->saves to separate table called jot_customize_options[]
 * 							        //	  ->will not be changed in child theme
 * 									//theme-mod->saves to theme options table called theme_mods_jot[]
 * 									//		 ->will have to be re-entered for child theme
 * 		'description' => __("Description of option",'jot'), //additional documentation for option
 *		'section' => 'panel1_section1', //panel you want the option to appear under
 *		'priority' => 1, // order within the section that the option is displayed
 *		'default' => '', // sane default, what default do you want to use if the user does not update this option
 *		'transport' => 'refresh', // refresh-> page must be reloaded to use the option
 * 								  // postMessage-> you have custom Javascript to instantly update the preview window
 *		'sanitize' => 'is_email'// sanitize callback function you want to use, see recommended below
 * 							    // checkbox=>jot_validate_checkbox,
 * 								// text(email) => is_email,text(nohtml)=>sanitize_text_field,
 * 								// text(html allowed)=>wp_kses_post,text(link) => esc_url_raw,
 * 								// textarea(no html allowed)=>esc_html,textarea(html allowed)=> wp_kses_post
 * 								// radio=>sanitize_text_field,select=>sanitize_text_field,
 * 								// image=>esc_url_raw,upload=>esc_url_raw,
 * 								// range=>sanitize_text_field,color=>sanitize_hex_color,
 * 								// scat=>sanitize_text_field,stag=>sanitize_text_field
 *	),
 * 
 * for select and radio lists and the range slider there is a choices array to also set up, see the defaults below
 * 
 * NOTE: Panel 1 Section 1 contains a comlete set of option examples available for this script
 * Simply cut and paste to add the option of your choice
 */
function jot_get_customizer_option_parameters() {
	$options = array (
		/* Panel:jot_intro Section:intro_intro */
			'jot_intro_text' => array(
				'name' => 'jot_intro_text',
				'title' => __('Jot Theme Intro Text','jot'),
				'option_type' => 'text', 
				'setting_type' => 'option',
				'description' => '',
				'section' => 'intro_intro',
				'priority' => 1,
				'default' => '',
				'transport' => 'refresh',
				'sanitize' => 'sanitize_text_field'
			),
		/* Panel:General Section:General */
		'jot_contact_link' => array(
			'name' => 'jot_contact_link',
			'title' => __('Contact Page Link','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:yoursite.ext/your_contact_page/','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_setup',
			'priority' => 2,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_disable_colorbox' => array(
			'name' => 'jot_disable_colorbox',
			'title' => __('Disable Colorbox','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('check to disable colorbox js plugin','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_setup',
			'priority' => 3,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_disable_fitvids' => array(
			'name' => 'jot_disable_fitvids',
			'title' => __('Disable Fitvids','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('check to disable fitvids js plugin','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_setup',
			'priority' => 4,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		//Panel: General Section: More Nav
		'jot_use_more_navi_strip' => array(
			'name' => 'jot_use_more_navi_strip',
			'title' => __('Use More Navi Strip','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('enables more navi options on your pages','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_more_nav',
			'priority' => 1,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_more_navi_loc' => array(
			'name' => 'jot_more_navi_loc',
			'title' => __( 'More Navi Strip Location' , 'jot' ),
			'option_type' => 'select',
			'setting_type' => 'theme_mod',
			'choices' => array( 
				'below action strip right'	=> __( 'below action strip right' , 'jot'),
				'below action strip left'	=> __( 'below action strip left' , 'jot'),
				'top right'	=> __( 'top right' , 'jot'),
				'top left'			=> __( 'top left' , 'jot')
			),
			'description' => __( 'Choose where you want the more navi strip located.' , 'jot' ).'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_more_nav',
			'priority' => 2,
			'default' => 'below action strip right',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'jot_use_breadcrumbs' => array(
			'name' => 'jot_use_breadcrumbs',
			'title' => __('Use Breadcrumbs','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('check to enable breadcrumbs','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_more_nav',
			'priority' => 3,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_use_more_navi_labels' => array(
			'name' => 'jot_use_more_navi_labels',
			'title' => __('Use More Navi Labels','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('use labels instead of font icons','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_more_nav',
			'priority' => 4,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		
		'jot_use_meta_more_navi' => array(
			'name' => 'jot_use_meta_more_navi',
			'title' => __('User Login Meta Widget','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('check to use login meta widget','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_more_nav',
			'priority' => 5,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_use_tag_more_navi' => array(
			'name' => 'jot_use_tag_more_navi',
			'title' => __('Use Tags','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('check to use tags in more navi strip','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_more_nav',
			'priority' => 6,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_use_cat_more_navi' => array(
			'name' => 'jot_use_cat_more_navi',
			'title' => __('Use Categories','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('check to use categories in more navi strip','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_more_nav',
			'priority' => 7,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_use_cal_more_navi' => array(
			'name' => 'jot_use_cal_more_navi',
			'title' => __('Use Calendar','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('check to use calendar in more navi strip','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_more_nav',
			'priority' => 8,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_use_recent_posts_more_navi' => array(
			'name' => 'jot_use_recent_posts_more_navi',
			'title' => __('Use Recent Posts','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('check to use recent posts in more navi strip','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_more_nav',
			'priority' => 9,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_use_recent_comments_more_navi' => array(
			'name' => 'jot_use_recent_comments_more_navi',
			'title' => __('Use Recent Comments','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('check to use recent comments in more navi strip','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_more_nav',
			'priority' => 10,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		//Panel: General Section: Remove Categories
		'jot_exclude_categories' => array(
			'name' => 'jot_exclude_categories',
			'title' => __('Exclude Category ID\'s','jot'),
			'option_type' => 'mcat', 
			'setting_type' => 'theme_mod',
			'description' => __("Input category id\'s to exclude from posts and lists.",'jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_remove_categories',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		//Panel: General Section: Blog
		'jot_blog_style' => array(
			'name' => 'jot_blog_style',
			'title' => __( 'Blog Style' , 'jot' ),
			'option_type' => 'select',
			'setting_type' => 'theme_mod',
			'choices' => array( 
				'standard'			=> __( 'standard' , 'jot'),
				'two column grid'	=> __( 'two column grid' , 'jot'),
				'three column grid'	=> __( 'three column grid' , 'jot')
			),
			'description' => __( 'Choose standard (one column), two column grid, or three column grid' , 'jot' ).'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_blog',
			'priority' => 3,
			'default' => 'standard',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'jot_use_excerpts' => array(
			'name' => 'jot_use_excerpts',
			'title' => __( 'Use excerpts in blog' , 'jot' ),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __( 'Do you want to use excerpts?' , 'jot' ).'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_blog',
			'priority' => 4,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_excerpt_words' => array(
			'name' => 'jot_excerpt_words',
			'title' => __( 'Excerpt Word Count' , 'jot' ),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __( 'aproximate excerpt word count' , 'jot' ).'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_blog',
			'priority' => 5,
			'default' => '30',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'jot_show_post_format_icons' => array(
			'name' => 'jot_show_post_format_icons',
			'title' => __( 'Include post format icons in blog posts' , 'jot' ),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __( 'included by default' , 'jot' ).'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_blog',
			'priority' => 6,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_author_in_blog' => array(
			'name' => 'jot_author_in_blog',
			'title' => __( 'Include author name in blog posts' , 'jot' ),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __( 'included by default' , 'jot' ).'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_blog',
			'priority' => 7,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_timestamp_in_blog' => array(
			'name' => 'jot_timestamp_in_blog',
			'title' => __( 'Include post date in blog posts' , 'jot' ),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __( 'included by default' , 'jot' ).'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_blog',
			'priority' => 8,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_category_in_blog' => array(
			'name' => 'jot_category_in_blog',
			'title' => __( 'Include categories in blog posts' , 'jot' ),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __( 'included by default' , 'jot' ).'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_blog',
			'priority' => 9,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_tags_in_blog' => array(
			'name' => 'jot_tags_in_blog',
			'title' => __( 'Include tags in blog posts' , 'jot' ),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __( 'included by default' , 'jot' ).'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_blog',
			'priority' => 10,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_include_author_bio' => array(
			'name' => 'jot_include_author_bio',
			'title' => __( 'Author Bio' , 'jot' ),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __( 'Include author bio in archives' , 'jot' ).'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_blog',
			'priority' => 11,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		//Panel: General Section: Header
		'jot_header_image' => array(
			'name' => 'jot_header_image',
			'title' => __( 'Upload Header Image' , 'jot' ),
			'option_type' => 'image',
			'setting_type' => 'theme_mod',
			'description' => __( 'max width: 840px, ideal height: 200px;' , 'jot' ).'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_header',
			'priority' => 1,
			'default' => '',
			'transport' => 'postMessage',
			'sanitize' => 'esc_url_raw'
		),
		'jot_display_title' => array(
			'name' => 'jot_display_title',
			'title' => __('Display Title in Header','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('Title is shown if logo is not shown','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_header',
			'priority' => 2,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_display_description' => array(
			'name' => 'jot_display_description',
			'title' => __( 'Show Blog Description' ,'jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('Description is shown if logo is not shown','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' =>'jot_general_header',
			'priority' => 3,
			'default' =>1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		//Panel: General Section: Social
		'jot_delicious_link' => array(
			'name' => 'jot_delicious_link',
			'title' => __('Delicious','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:www.delicious.com/save/','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_digg_link' => array(
			'name' => 'jot_digg_link',
			'title' => __('Digg','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:digg.com/user','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_facebook_link' => array(
			'name' => 'jot_facebook_link',
			'title' => __('Facebook','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:www.facebook.com/your_profile/','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_flickr_link' => array(
			'name' => 'jot_flickr_link',
			'title' => __('Flickr','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:www.flickr.com/your_link/','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_google_link' => array(
			'name' => 'jot_google_link',
			'title' => __('Google +','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:plus.google.com/your_page_number/posts','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_google_link' => array(
			'name' => 'jot_google_link',
			'title' => __('Google +','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:plus.google.com/your_page_number/posts','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_instagram_link' => array(
			'name' => 'jot_instagram_link',
			'title' => __('Instagram','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:www.instagram.com/your_page_number/posts','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_linkedin_link' => array(
			'name' => 'jot_linkedin_link',
			'title' => __('Linkedin','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:ca.linkedin.com/profile link/','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_myspace_link' => array(
			'name' => 'jot_myspace_link',
			'title' => __('Myspace','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:www.myspace.com/your_link/','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_pinterest_link' => array(
			'name' => 'jot_pinterest_link',
			'title' => __('Pinterest','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:pinterest.com/username/','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_rss_link' => array(
			'name' => 'jot_rss_link',
			'title' => __('RSS Feed','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:your.feed.url/feed/','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_tumblr_link' => array(
			'name' => 'jot_tumblr_link',
			'title' => __('Tumblr','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:www.tumblr.com/your_link/','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_twitter_link' => array(
			'name' => 'jot_twitter_link',
			'title' => __('Twitter','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:twitter.com/your_twitter/','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_vimeo_link' => array(
			'name' => 'jot_vimeo_link',
			'title' => __('Vimeo','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:vimeo.com/your_link/','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_yelp_link' => array(
			'name' => 'jot_yelp_link',
			'title' => __('Yelp','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:www.yelp.com/your_yelp/','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_youtube_link' => array(
			'name' => 'jot_youtube_link',
			'title' => __('YouTube','jot'),
			'option_type' => 'text',
			'setting_type' => 'theme_mod',
			'description' => __('Format:youtube.com/your_link/','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_general_social',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		//Panel: Styles Section: General
		'jot_font_size' => array(
			'name' => 'jot_font_size',
			'title' => __('Basic Font Size','jot'),
			'option_type' => 'select',
			'setting_type' => 'theme_mod',
			'choices' => array( 
				'100%' => '100%' ,
				'80%' => '80%',
				'85%' => '85%',
				'90%' => '90%',
				'95%' => '95%',
				'105%' => '105%',
				'110%' => '110%',
				'115%' => '115%',
				'120%' => '120%'
			),
			'description' => __('Select the basic font size for the theme','jot'),
			'section' => 'jot_styles_general',
			'priority' => 1,
			'default' => '100%',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_text_field'
		),
		'jot_custom_css' => array(
			'name' => 'jot_custom_css',
			'title' => __('Custom CSS','jot'),
			'option_type' => 'textarea',
			'setting_type' => 'theme_mod',
			'description' => __('Custom styles for your theme.','jot'),
			'section' => 'jot_styles_general',
			'priority' => 2,
			'default' => '',
			'transport' => 'postMessage',
			'sanitize' => 'wp_strip_all_tags'
		),
		//Panel: Styles Section: Fonts
		'jot_standard_header_font' => array(
			'name' => 'jot_standard_header_font',
			'title' => __('Standard Header Font','jot'),
			'option_type' => 'select',
			'setting_type' => 'theme_mod',
			'choices' => array( 
				'default' => __( 'default' , 'jot' ),
				'Arial' => 'Arial',
				'Antiqua' => 'Book Antiqua',
				'Cambria' => 'Cambria',
				'Comic Sans MS' => 'Comic Sans MS',
				'Georgia' => 'Georgia',
				'Tahoma' => 'Tahoma',
				'Times New Roman' => 'Times New Roman',
				'Trebuchet MS' => 'Trebuchet MS',
				'Verdana' => 'Verdana'
			),
			'description' => __('Used for headers, Google Font Header must be blank','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_styles_fonts',
			'priority' => 1,
			'default' => 'default',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'jot_standard_body_font' => array(
			'name' => 'jot_standard_body_font',
			'title' => __('Standard Body Font','jot'),
			'option_type' => 'select',
			'setting_type' => 'theme_mod',
			'choices' => array( 
				'default' => __( 'default' , 'jot' ),
				'Arial' => 'Arial',
				'Antiqua' => 'Book Antiqua',
				'Cambria' => 'Cambria',
				'Comic Sans MS' => 'Comic Sans MS',
				'Georgia' => 'Georgia',
				'Tahoma' => 'Tahoma',
				'Times New Roman' => 'Times New Roman',
				'Trebuchet MS' => 'Trebuchet MS',
				'Verdana' => 'Verdana'
			),
			'description' => __('Used for body text, Google Font Header must be blank','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_styles_fonts',
			'priority' => 2,
			'default' => 'default',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'jot_google_header_font' => array(
			'name' => 'jot_google_header_font',
			'title' => __('Use Google font for header text','jot'),
			'option_type' => 'text', 
			'setting_type' => 'theme_mod',
			'description' => __('From the Google Font Page, enter only the url (but exclude http:) for the custom google font. Format -> //fonts.googleapis.com/css?family=Open+Sans','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_styles_fonts',
			'priority' => 3,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_google_header_font_css' => array(
			'name' => 'jot_google_header_font_css',
			'title' => __('CSS line for Google header font','jot'),
			'option_type' => 'text', 
			'setting_type' => 'theme_mod',
			'description' => __("From the Google Font Page, enter the CSS style of the Format -> font-family: 'Open Sans', sans-serif;",'jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_styles_fonts',
			'priority' => 4,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'jot_google_body_font' => array(
			'name' => 'jot_google_body_font',
			'title' => __('Use Google font for body text','jot'),
			'option_type' => 'text', 
			'setting_type' => 'theme_mod',
			'description' => __('From the Google Font Page, enter only the url (but exclude http:) for the custom google font. Format -> //fonts.googleapis.com/css?family=Open+Sans','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_styles_fonts',
			'priority' => 5,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'jot_google_body_font_css' => array(
			'name' => 'jot_google_body_font_css',
			'title' => __('CSS line for Google body font','jot'),
			'option_type' => 'text', 
			'setting_type' => 'theme_mod',
			'description' => __("From the Google Font Page, enter the CSS style of the Format -> font-family: 'Open Sans', sans-serif;",'jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_styles_fonts',
			'priority' => 6,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		//Panel: Styles Section: Action Header
		'jot_action_bar_background_color' => array(
			'name' => 'jot_action_bar_background_color',
			'title' => __('Action bar background color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("background color for the action bar",'jot'),
			'section' => 'jot_styles_action',
			'priority' => 1,
			'default' => '#ffffff',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_action_button_background_color' => array(
			'name' => 'jot_action_button_background_color',
			'title' => __('Action button background color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("background color for menu,contact and search buttons",'jot'),
			'section' => 'jot_styles_action',
			'priority' => 1,
			'default' => '#B7B7B7',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_action_button_icon_color' => array(
			'name' => 'jot_action_button_icon_color',
			'title' => __('Action button icon color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of icon for menu,contact and search buttons",'jot'),
			'section' => 'jot_styles_action',
			'priority' => 2,
			'default' => '#ffffff',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_action_button_hover_background_color' => array(
			'name' => 'jot_action_button_hover_background_color',
			'title' => __('Action button link color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("background background hover color for menu,contact and search buttons",'jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_styles_action',
			'priority' => 3,
			'default' => '#e8e8e8',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_action_button_hover_icon_color' => array(
			'name' => 'jot_action_button_hover_icon_color',
			'title' => __('Action button hover icon color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of icon hover for menu,contact and search buttons",'jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_styles_action',
			'priority' => 4,
			'default' => '#8c8c8c',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_hex_color'
		),
		//Panel: Styles Section: Colors
		//Background
		'jot_background_color' => array(
			'name' => 'jot_background_color',
			'title' => __('Background area color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("surrounding background area",'jot'),
			'section' => 'jot_styles_colors',
			'priority' => 1,
			'default' => '#0083FF',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_background_accent_color' => array(
			'name' => 'jot_background_accent_color',
			'title' => __('Background area accent color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("background color for more nave links",'jot'),
			'section' => 'jot_styles_colors',
			'priority' => 2,
			'default' => '#198EFE',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_background_text_color' => array(
			'name' => 'jot_background_text_color',
			'title' => __('Background text color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of text in background area",'jot'),
			'section' => 'jot_styles_colors',
			'priority' => 3,
			'default' => '#efefef',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_background_link_color' => array(
			'name' => 'jot_background_link_color',
			'title' => __('Background link color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of links in background area",'jot'),
			'section' => 'jot_styles_colors',
			'priority' => 4,
			'default' => '#eaeaea',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_background_hover_color' => array(
			'name' => 'jot_background_hover_color',
			'title' => __('Background hover color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of hover over links in background area",'jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_styles_colors',
			'priority' => 5,
			'default' => '#ffffff',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_hex_color'
		),
		//Content area for posts and pages
		'jot_content_color' => array(
			'name' => 'jot_content_color',
			'title' => __('Content area color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("background color for post and page content areas",'jot'),
			'section' => 'jot_styles_colors',
			'priority' => 6,
			'default' => '#ffffff',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_content_text_color' => array(
			'name' => 'jot_content_text_color',
			'title' => __('Content text color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of text in content area",'jot'),
			'section' => 'jot_styles_colors',
			'priority' => 7,
			'default' => '#474747',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_content_link_color' => array(
			'name' => 'jot_content_link_color',
			'title' => __('Content link color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of links in content area",'jot'),
			'section' => 'jot_styles_colors',
			'priority' => 8,
			'default' => '#000000',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_content_hover_color' => array(
			'name' => 'jot_content_hover_color',
			'title' => __('Content hover color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of hover over links in content area",'jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_styles_colors',
			'priority' => 9,
			'default' => '#c9c9c9',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_hex_color'
		),
		//Panel: Post Formats Section: Aside
		'jot_aside_background_color' => array(
			'name' => 'jot_aside_background_color',
			'title' => __('Aside background color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("background color for Aside content area",'jot'),
			'section' => 'jot_pf_aside',
			'priority' => 1,
			'default' => '#198EFE',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_aside_text_color' => array(
			'name' => 'jot_aside_text_color',
			'title' => __('Aside text color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of text in Aside content area",'jot'),
			'section' => 'jot_pf_aside',
			'priority' => 2,
			'default' => '#efefef',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_aside_link_color' => array(
			'name' => 'jot_aside_link_color',
			'title' => __('Aside link color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of links in Aside content area",'jot'),
			'section' => 'jot_pf_aside',
			'priority' => 3,
			'default' => '#eaeaea',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_aside_hover_color' => array(
			'name' => 'jot_aside_hover_color',
			'title' => __('Aside hover color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'section' => 'jot_pf_aside',
			'description' => __("color of hover over links in Aside content area",'jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'priority' => 4,
			'default' => '#ffffff',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_hex_color'
		),
		//Panel: Post Formats Section: Audio
		'jot_audio_message_background_color' => array(
			'name' => 'jot_audio_message_background_color',
			'title' => __('Audio background color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("only for Audio in the content area",'jot'),
			'section' => 'jot_pf_audio',
			'priority' => 1,
			'default' => '#198EFE',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_audio_message_text_color' => array(
			'name' => 'jot_audio_message_text_color',
			'title' => __('Audio text color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("only for Audio in the content area",'jot'),
			'section' => 'jot_pf_audio',
			'priority' => 2,
			'default' => '#efefef',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		//Panel: Post Formats Section: Chat
		'jot_chat_background_color' => array(
			'name' => 'jot_chat_background_color',
			'title' => __('Chat background color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("background color for Chat posts",'jot'),
			'section' => 'jot_pf_chat',
			'priority' => 1,
			'default' => '#f9f9f9',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		//Panel: Post Formats Section: Image
		'jot_image_wrap_background_color' => array(
			'name' => 'jot_image_wrap_background_color',
			'title' => __('Image background color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("background color for Image posts",'jot'),
			'section' => 'jot_pf_image',
			'priority' => 1,
			'default' => '#808080',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_image_wrap_text_color' => array(
			'name' => 'jot_image_wrap_text_color',
			'title' => __('Image text color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("text color for Image posts",'jot'),
			'section' => 'jot_pf_image',
			'priority' => 2,
			'default' => '#000000',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_image_meta_background_color' => array(
			'name' => 'jot_image_meta_background_color',
			'title' => __('Image meta background color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("background color for Image meta",'jot'),
			'section' => 'jot_pf_image',
			'priority' => 3,
			'default' => '#9E9E9E',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_image_meta_text_color' => array(
			'name' => 'jot_image_meta_text_color',
			'title' => __('Text color for image meta','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of image meta text used in Image posts",'jot'),
			'section' => 'jot_pf_image',
			'priority' => 4,
			'default' => '#000000',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_display_image_meta' => array(
			'name' => 'jot_display_image_meta',
			'title' => __('Display Image Meta','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('If checked, image meta will be included','jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_pf_image',
			'priority' => 5,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		//Panel: Post Formats Section: Quote
		'jot_quote_background_color' => array(
			'name' => 'jot_quote_background_color',
			'title' => __('Quote background color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("background color for Quote feature area",'jot'),
			'section' => 'jot_pf_quote',
			'priority' => 1,
			'default' => '#000000',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_quote_text_color' => array(
			'name' => 'jot_quote_text_color',
			'title' => __('Quote text color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of text in Quote feature area",'jot'),
			'section' => 'jot_pf_quote',
			'priority' => 2,
			'default' => '#efefef',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_quote_link_color' => array(
			'name' => 'jot_quote_link_color',
			'title' => __('Quote link color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of links in Quote feature area",'jot'),
			'section' => 'jot_pf_quote',
			'priority' => 3,
			'default' => '#eaeaea',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_quote_hover_color' => array(
			'name' => 'jot_quote_hover_color',
			'title' => __('Quote hover color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of hover over links in Quote feature area",'jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_pf_quote',
			'priority' => 4,
			'default' => '#ffffff',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_quote_icon_color' => array(
			'name' => 'jot_quote_icon_color',
			'title' => __('Quote icon color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of quote icon",'jot'),
			'section' => 'jot_pf_quote',
			'priority' => 5,
			'default' => '#383838',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_quote_content_color' => array(
			'name' => 'jot_quote_content_color',
			'title' => __('Quote content area background color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("background color for quotes not in the feature area",'jot'),
			'section' => 'jot_pf_quote',
			'priority' => 6,
			'default' => '#F7F7F7',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		//Panel: Post Formats Section: Status
		'jot_status_background_color' => array(
			'name' => 'jot_status_background_color',
			'title' => __('Status background color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("background color for Status content area",'jot'),
			'section' => 'jot_pf_status',
			'priority' => 1,
			'default' => '#198EFE',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_status_text_color' => array(
			'name' => 'jot_status_text_color',
			'title' => __('Status text color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of text in Status content area",'jot'),
			'section' => 'jot_pf_status',
			'priority' => 2,
			'default' => '#efefef',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_status_link_color' => array(
			'name' => 'jot_status_link_color',
			'title' => __('Status link color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of links in Status content area",'jot'),
			'section' => 'jot_pf_status',
			'priority' => 3,
			'default' => '#eaeaea',
			'transport' => 'postMessage',
			'sanitize' => 'sanitize_hex_color'
		),
		'jot_status_hover_color' => array(
			'name' => 'jot_status_hover_color',
			'title' => __('Status hover color','jot'),
			'option_type' => 'color', 
			'setting_type' => 'theme_mod',
			'description' => __("color of hover over links in Status content area",'jot').'&nbsp;&nbsp;<span class="dashicons dashicons-update" title="'.__('Save and Reload','jot').'" ></span>',
			'section' => 'jot_pf_status',
			'priority' => 4,
			'default' => '#ffffff',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_hex_color'
		),
		//Panel: Post Formats Section: Gallery
		'jot_flex_gallery_auto' => array(
			'name' => 'jot_flex_gallery_auto',
			'title' => __('Gallery Slider Auto Mode','jot'),
			'option_type' => 'checkbox',
			'setting_type' => 'theme_mod',
			'description' => __('If checked, slider starts automatically','jot'),
			'section' => 'jot_pf_gallery',
			'priority' => 2,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'jot_flex_gallery_effect' => array(
			'name' => 'jot_flex_gallery_effect',
			'title' => __('Gallery Slider Transition Effect','jot'),
			'option_type' => 'select',
			'setting_type' => 'theme_mod',
			'choices' => array( 
				'slide'	=> __( 'Slide' , 'jot' ),
				'fade'	=> __( 'Fade' , 'jot' )
			),
			'description' => __('Select the transition for the slider','jot'),
			'section' => 'jot_pf_gallery',
			'priority' => 2,
			'default' => 'fade',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'jot_flex_gallery_pause' => array(
			'name' => 'jot_flex_gallery_pause',
			'title' => __('Gallery Slider Pause Time','jot'),
			'option_type' => 'select',
			'setting_type' => 'theme_mod',
			'choices' => array( 
					'4000' => '4000',
					'5000' => '5000',
					'6000' => '6000',
					'7000' => '7000',
					'8000' => '8000',
					'9000' => '9000',
					'10000' => '10000',
					'11000' => '11000',
					'12000' => '12000'
			),
			'description' => __('Select the pause time in milli-seconds','jot'),
			'section' => 'jot_pf_gallery',
			'priority' => 3,
			'default' => '6000',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'jot_flex_gallery_trans' => array(
			'name' => 'jot_flex_gallery_trans',
			'title' => __('Gallery Slider Transition Time','jot'),
			'option_type' => 'select',
			'setting_type' => 'theme_mod',
			'choices' => array( 
					'500' => '500',
					'750' => '750',
					'1000' => '1000',
					'1250' => '1250',
					'1500' => '1500',
					'1750' => '1750',
					'2000' => '2000'
			),
			'description' => __('Select the transition time in milli-seconds','jot'),
			'section' => 'jot_pf_gallery',
			'priority' => 4,
			'default' => '500',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
	);
	return apply_filters( 'jot_get_customizer_option_parameters', $options );
}
 
/**
 * Register set up the options
*/
function jot_customize_register( $wp_customize ) {
	global $wp_customize;
	//Start by adding custom controls
	jot_add_custom_controls ();
	//Set up Customizer Panels and Sections
	jot_setup_panels_sections();
	
	//set up the options
	
	$jot_customize_options = jot_get_customizer_option_parameters();

	foreach( $jot_customize_options as $jot_option ) {
		
		if($jot_option['setting_type'] == 'option') {
			//add option setting
			jot_add_setting_option( $jot_option );
			//Add controls
			jot_add_control_option($jot_option);
		} else {
			//add option setting
			jot_add_setting_theme_mod( $jot_option );
			//add option control
			jot_add_control_theme_mod($jot_option);
		}
	}
}
add_action( 'customize_register', 'jot_customize_register' );

/** ===================== SETUP PANELS AND SECTIONS =====================
 * 
 * This helper function sets up panels and sections for Theme Customizer
 * 
 * 
 * 
 */
function jot_setup_panels_sections(){
	global $wp_customize;
	$groups = array();
	$group = array();
	$groups = jot_get_customizer_groups();
	
	foreach( $groups as $group ) {
		//add panel
		
		$wp_customize->add_panel( $group['name'], array(
			'priority'			=> $group['priority'],
			'capability'		=> 'edit_theme_options',
			'theme_supports'	=> '',
			'title'				=> $group['title'],
			'description'		=> $group['description']
		) );
		
		//add sections in panel
		foreach( $group['sections'] as $section ){
			$wp_customize->add_section( $section['name'] , array(
				'priority'			=> $section['priority'],
				'capability'		=> 'edit_theme_options',
				'theme_supports'	=> '',
				'title'				=> $section['title'],
				'description'		=> $section['description'],
				'panel'				=> $group['name']
			));
		}
	}
}

/** ========================== ADD SETTING OPTION TABLE ==============================
 * 
 * This helper function loads adds a setting in Theme Customizer
 * This setting function applies to options with 'setting_type'=>'option'
 * 
 * -------- capability --------------------------------------------------------------
 * Note that capability is set to 'edit_theme_options' and will apply to all settings.
 * If you want to add different capabilities to each setting then change it to 
 * $jot_option['capability'] and add 'capability' => 'capability you want' to the
 * options array below
 * -------- theme_supports ----------------------------------------------------------
 * Note that theme_supports is set to '' and will apply to all settings.
 * If you want to add theme_cupports to each setting then change it to 
 * $jot_option['supports'] and add 'supports' => 'support you want' to the
 * options array below
 * -------- sanitize_js_callback ----------------------------------------------------------
 * Note that sanitize_js_callback is commented out. I initially set to '', but themecheck
 * was giving errors, and I was informed to just comment it out.
 * If you want to add sanitize_js_callback to each setting then change it to 
 * $jot_option['sanitize_js_callback'] and add 'sanitize_js_callback' => 'your js callback' 
 * to the options array below.
 * ----------------------------------------------------------------------------------
 * ref: https://codex.wordpress.org/Class_Reference/WP_Customize_Manager/add_setting
 */
function jot_add_setting_option( $jot_option ){
	global $wp_customize;
	//add_setting for option
	$wp_customize->add_setting( 'jot_customize_options['.$jot_option['name'].']' , array(
		'default'				=> $jot_option['default'],
		'type'					=> $jot_option['setting_type'],
		'capability'			=> 'edit_theme_options',
		'theme_supports'		=> '',
		'transport'				=> $jot_option['transport'],
		'sanitize_callback'		=> $jot_option['sanitize'],
		//'sanitize_js_callback'	=> '',
	));
}

/** ========================== ADD SETTING THEME MOD TABLE ==============================
 * 
 * This helper function loads adds a setting in Theme Customizer
 * This setting function applies to options with 'setting_type'=>'theme_mod' 
 * 
 * -------- capability --------------------------------------------------------------
 * Note that capability is set to 'edit_theme_options' and will apply to all settings.
 * If you want to add different capabilities to each setting then change it to 
 * $jot_option['capability'] and add 'capability' => 'capability you want' to the
 * options array below
 * -------- theme_supports ----------------------------------------------------------
 * Note that theme_supports is set to '' and will apply to all settings.
 * If you want to add theme_cupports to each setting then change it to 
 * $jot_option['supports'] and add 'supports' => 'support you want' to the
 * options array below
 * -------- sanitize_js_callback ----------------------------------------------------------
 * Note that sanitize_js_callback is commented out. I initially set to '', but themecheck
 * was giving errors, and I was informed to just comment it out.
 * If you want to add sanitize_js_callback to each setting then change it to 
 * $jot_option['sanitize_js_callback'] and add 'sanitize_js_callback' => 'your js callback' 
 * to the options array below.
 * ----------------------------------------------------------------------------------
 * ref: https://codex.wordpress.org/Class_Reference/WP_Customize_Manager/add_setting
 */
function jot_add_setting_theme_mod( $jot_option ){
	global $wp_customize;
	//add_setting for option
	$wp_customize->add_setting( $jot_option['name'] , array(
		'default'				=> $jot_option['default'],
		'type'					=> $jot_option['setting_type'],
		'capability'			=> 'edit_theme_options',
		'theme_supports'		=> '',
		'transport'				=> $jot_option['transport'],
		'sanitize_callback'		=> $jot_option['sanitize'],
		//'sanitize_js_callback'	=> '',
	));
}

/** ========================== ADD CONTROL OPTION TABLE ==============================
 * 
 * This helper function adds a control for Theme Customizer
 * This function applies to options with 'setting_type'=>'option'
 * 
 * ref: https://codex.wordpress.org/Class_Reference/WP_Customize_Manager/add_control
 * 
 */
function jot_add_control_option($jot_option){
	global $wp_customize;
	if( $jot_option['option_type'] == 'text' ) {
			$wp_customize->add_control($jot_option['name'] , array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> 'jot_customize_options['.$jot_option['name'].']',
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			));
		} elseif( $jot_option['option_type'] == 'textarea' ) {
			$wp_customize->add_control( $jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> 'jot_customize_options['.$jot_option['name'].']',
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			));
		} elseif( $jot_option['option_type'] == 'checkbox' ) {
			$wp_customize->add_control($jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> 'jot_customize_options['.$jot_option['name'].']',
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			));
		} elseif( $jot_option['option_type'] == 'radio' ) {
			$wp_customize->add_control($jot_option['name'] , array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> 'jot_customize_options['.$jot_option['name'].']',
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
				'choices'		=> $jot_option['choices'],
			));
		} elseif( $jot_option['option_type'] == 'select' ) {
			$wp_customize->add_control($jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> 'jot_customize_options['.$jot_option['name'].']',
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
				'choices'		=> $jot_option['choices'],
			));
		} elseif( $jot_option['option_type'] == 'range' ) {
			$wp_customize->add_control($jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> 'jot_customize_options['.$jot_option['name'].']',
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
				'input_attrs'	=> $jot_option['choices'],
			));
		} elseif( $jot_option['option_type'] == 'color' ) {
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,$jot_option['name'], array(
				'label'		=> $jot_option['title'],
				'section'	=> $jot_option['section'],
				'settings'	=> 'jot_customize_options['.$jot_option['name'].']',
				'type'		=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'	=> $jot_option['priority'],
			)));
		} elseif( $jot_option['option_type'] == 'image' ) {
			$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize,$jot_option['name'], array(
				'label'		=> $jot_option['title'],
				'section'	=> $jot_option['section'],
				'settings'	=> 'jot_customize_options['.$jot_option['name'].']',
				'type'		=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'	=> $jot_option['priority'],
			)));
		} elseif( $jot_option['option_type'] == 'upload' ) {
			$wp_customize->add_control( new WP_Customize_Upload_Control( $wp_customize,$jot_option['name'], array(
				'label'		=> $jot_option['title'],
				'section'	=> $jot_option['section'],
				'settings'	=> 'jot_customize_options['.$jot_option['name'].']',
				'type'		=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'	=> $jot_option['priority'],
			)));
		} elseif( $jot_option['option_type'] == 'scat' ) {
			$wp_customize->add_control( new jot_Category_Dropdown_Custom_Control( $wp_customize, $jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> 'jot_customize_options['.$jot_option['name'].']',
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			)));
		} elseif( $jot_option['option_type'] == 'stag' ) {
			$wp_customize->add_control( new jot_Tags_Dropdown_Custom_Control( $wp_customize, $jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> 'jot_customize_options['.$jot_option['name'].']',
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			)));
		} elseif( $jot_option['option_type'] == 'mcat' ) {
			$wp_customize->add_control( new jot_Category_Checkboxes_Control( $wp_customize, $jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> 'jot_customize_options['.$jot_option['name'].']',
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			)));
		}
}

/** ========================== ADD CONTROL THEME MOD TABLE ==============================
 * 
 * This helper function adds a control for Theme Customizer
 * This function applies to options with 'setting_type'=>'theme_mod'
 * 
 * ref:https://codex.wordpress.org/Class_Reference/WP_Customize_Manager/add_control
 * 
 */
function jot_add_control_theme_mod($jot_option){
	global $wp_customize;
	if( $jot_option['option_type'] == 'text' ) {
			$wp_customize->add_control($jot_option['name'] , array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> $jot_option['name'],
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			));
		} elseif( $jot_option['option_type'] == 'textarea' ) {
			$wp_customize->add_control( $jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> $jot_option['name'],
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			));
		} elseif( $jot_option['option_type'] == 'checkbox' ) {
			$wp_customize->add_control($jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> $jot_option['name'],
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			));
		} elseif( $jot_option['option_type'] == 'radio' ) {
			$wp_customize->add_control($jot_option['name'] , array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> $jot_option['name'],
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
				'choices'		=> $jot_option['choices'],
			));
		} elseif( $jot_option['option_type'] == 'select' ) {
			$wp_customize->add_control($jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> $jot_option['name'],
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
				'choices'		=> $jot_option['choices'],
			));
		} elseif( $jot_option['option_type'] == 'range' ) {
			$wp_customize->add_control($jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> $jot_option['name'],
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
				'input_attrs'	=> $jot_option['choices'],
			));
		} elseif( $jot_option['option_type'] == 'color' ) {
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,$jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> $jot_option['name'],
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			)));
		} elseif( $jot_option['option_type'] == 'image' ) {
			$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize,$jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> $jot_option['name'],
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			)));
		} elseif( $jot_option['option_type'] == 'upload' ) {
			$wp_customize->add_control( new WP_Customize_Upload_Control( $wp_customize,$jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> $jot_option['name'],
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			)));
		} elseif( $jot_option['option_type'] == 'scat' ) {
			$wp_customize->add_control( new jot_Category_Dropdown_Custom_Control( $wp_customize, $jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> $jot_option['name'],
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			)));
		} elseif( $jot_option['option_type'] == 'stag' ) {
			$wp_customize->add_control( new jot_Tags_Dropdown_Custom_Control( $wp_customize, $jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> $jot_option['name'],
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			)));
		} elseif( $jot_option['option_type'] == 'mcat' ) {
			$wp_customize->add_control( new jot_Category_Checkboxes_Control( $wp_customize, $jot_option['name'], array(
				'label'			=> $jot_option['title'],
				'section'		=> $jot_option['section'],
				'settings'		=> $jot_option['name'],
				'type'			=> $jot_option['option_type'],
				'description'	=> $jot_option['description'],
				'priority'		=> $jot_option['priority'],
			)));
		}
}
/** ===================== CUSTOM CONTROLS ========================================
 * 
 * This helper function loads the Custom Controls for Theme Customizer
 * 
 * 
 * 
 */
function jot_add_custom_controls (){

	 /**
     * Class to create a custom category control
	  * source https://github.com/bueltge/Wordpress-Theme-Customizer-Custom-Controls
     */
	if (class_exists('WP_Customize_Control')) {
		class jot_Category_Dropdown_Custom_Control extends WP_Customize_Control {
			public function render_content() {
				?>
					<label>
						<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
						<span class="description customize-control-description"><?php echo esc_html( $this->description ); ?></span>
						<select <?php $this->link(); ?>>
							<?php
								$args = array();
								$cats = get_categories($args);
								foreach ( $cats as $cat ) {
									echo '<option value="'.$cat->name.'"'.selected($this->value(), $cat->name).'>'.$cat->name.'</option>';
								}
							?>
						</select>
					</label>
				<?php }
		}
	}
	
	/**
	* Class to create a custom tags control
	* modified from //source https://github.com/bueltge/Wordpress-Theme-Customizer-Custom-Controls
*/
	if (class_exists('WP_Customize_Control')) {
		class jot_Tags_Dropdown_Custom_Control extends WP_Customize_Control {
			
			/** 
			*
			* Render the content on the theme customizer page
			*/
			public function render_content() {
				?>
				<label>
					<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
					<span class="description customize-control-description"><?php echo esc_html( $this->description ); ?></span>
					<select <?php $this->link(); ?>>
						<?php
							$tags = get_tags();
							foreach ( $tags as $tag ) {
								echo '<option value="'.$tag->name.'" '.selected($this->value, $tag->name).'>'.$tag->name.'</option>';
							}
						?>
					</select>
				</label>
				<?php
			}
		}
	}

	/**
	 * Adds multiple category selection support to the theme customizer via checkboxes
	 *
	 * The category IDs are saved in the database as a comma separated string.
	 * 
	 * ref: http://themefoundation.com/customizer-multiple-category-control/
	 * 
	 */
	class jot_Category_Checkboxes_Control extends WP_Customize_Control {
		public $type = 'category-checkboxes';

		public function render_content() {

			// Loads theme-customizer.js javascript file.
			echo '<script src="' . get_template_directory_uri() . '/js/kha-customize-mcat.js"></script>';


			// Displays checkbox heading
			echo '<span class="customize-control-title">' . esc_html( $this->label ) . '</span>';

			// Displays category checkboxes.
			foreach ( get_categories() as $category ) {
				echo '<label><input type="checkbox" name="category-' . $category->term_id . '" id="category-' . $category->term_id . '" class="cstmzr-category-checkbox"> ' . $category->cat_name . '</label><br>';    
			}

			// Loads the hidden input field that stores the saved category list.
			?><input type="hidden" id="<?php echo $this->id; ?>" class="cstmzr-hidden-categories" <?php $this->link(); ?> value="<?php echo sanitize_text_field( $this->value() ); ?>"><?php
		}
	}
}

/**
 * This function sets up the option array where all 
 * the options are stored for the theme.
 * The function checks both the jot_customize_options table and the 
 * theme_mods_jot table for custom options. If the option is not there 
 * a default is loaded.
 * 
 * To use the options just add global $jot_options; to your function
 * and $jot_options['option_name'] to retrieve the option
*/
function jot_setup_options() {
	global $jot_options;
	$jot_stored_options = get_option('jot_customize_options',array());
	$jot_option_data = jot_get_customizer_option_parameters();
	$jot_options = array();
	foreach( $jot_option_data as $option_item ) {
		$name = $option_item['name'];
		$setting_type = $option_item['setting_type'];
		
		if( $setting_type == 'option' ){
			if( isset($jot_stored_options[ $name ]) && $jot_stored_options[ $name ] !== NULL ) {
				$jot_options[ $name ] = $jot_stored_options[ $name ];
			} else {
				$jot_options[ $name ] = $option_item[ 'default' ];
			}
		} else {
			$jot_options[ $name ] = get_theme_mod( $name , $option_item[ 'default' ] );
		}
	}
}
add_action( 'after_setup_theme' , 'jot_setup_options' );

/**
 * This function adds some styles to the WordPress Customizer
 * 
*/
function jot_customizer_styles() { ?>
    <style>
       	.customize-control{
        	display:block;
    		width: 100%;
    		padding: 5px 0 10px 0;
    		border-bottom: 2px solid #dbdbdb;
    		margin: 0;
        }
        .customize-control-title {
        	display: block;
        }
        .customize-control label,.customize-control-title {
		    font-size: 12px;
		    font-weight: 600;
		    line-height: 16px;
		}
		.customize-control input,
		.customize-control textarea,
		.customize-control .description,
		.customize-control select
		 {
			font-size: 12px;
		    font-weight: normal;
		    line-height: 16px;
		    margin: 5px 0 5px 0;
		}
		.jot-intro {
			margin: 0;
			padding: 0;
			background-color: #ffffff;
		}
		.jot-intro-title{
			margin: 0 0 5px 5px!important;
		}
		
		.jot-intro-docs {
			clear: both;
		}
		.jot-intro-author,
		.jot-intro-demo,
		.jot-intro-docs{
			margin: 0 0 0 5px!important;
		}
		.jot-intro form{
			margin: 0 0 0 0;
			display: inline-block;
		}
    </style>
    <?php
}
add_action( 'customize_controls_print_styles', 'jot_customizer_styles', 999 );

/**
 * Enqueues front-end CSS for jot Theme
 * modified from Twenty Fifteen 1.0
 * @see wp_add_inline_style() to use this function to append the 
 * custom styles to style.css
 * 
 * bring your options into this function to set up your conditional css
 * 
 */
function jot_custom_css() {
	global $jot_options;
	$jot_background_color = esc_html($jot_options['jot_background_color']);
	$jot_background_accent_color = esc_html($jot_options['jot_background_accent_color']);
	$jot_background_text_color = esc_html($jot_options['jot_background_text_color']);
	$jot_background_link_color = esc_html($jot_options['jot_background_link_color']);
	$jot_background_hover_color = esc_html($jot_options['jot_background_hover_color']);
	$jot_content_background_color = esc_html($jot_options['jot_content_color']);
	$jot_content_text_color = esc_html($jot_options['jot_content_text_color']);
	$jot_content_link_color = esc_html($jot_options['jot_content_link_color']);
	$jot_content_hover_color = esc_html($jot_options['jot_content_hover_color']);
	$jot_aside_background_color = esc_html($jot_options['jot_aside_background_color']);
	$jot_aside_text_color = esc_html($jot_options['jot_aside_text_color']);
	$jot_aside_link_color = esc_html($jot_options['jot_aside_link_color']);
	$jot_aside_hover_color = esc_html($jot_options['jot_aside_hover_color']);
	$jot_status_background_color = esc_html($jot_options['jot_status_background_color']);
	$jot_status_text_color = esc_html($jot_options['jot_status_text_color']);
	$jot_status_link_color = esc_html($jot_options['jot_status_link_color']);
	$jot_status_hover_color = esc_html($jot_options['jot_status_hover_color']);
	$jot_quote_background_color = esc_html($jot_options['jot_quote_background_color']);
	$jot_quote_text_color = esc_html($jot_options['jot_quote_text_color']);
	$jot_quote_link_color = esc_html($jot_options['jot_quote_link_color']);
	$jot_quote_hover_color = esc_html($jot_options['jot_quote_hover_color']);
	$jot_quote_icon_color = esc_html($jot_options['jot_quote_icon_color']);
	$jot_quote_content_color = esc_html($jot_options['jot_quote_content_color']);
	$jot_audio_message_background_color = esc_html($jot_options['jot_audio_message_background_color']);
	$jot_audio_message_text_color = esc_html($jot_options['jot_audio_message_text_color']);
	$jot_chat_background_color = esc_html($jot_options['jot_chat_background_color']);
	$jot_image_wrap_background_color = esc_html($jot_options['jot_image_wrap_background_color']);
	$jot_image_wrap_text_color = esc_html($jot_options['jot_image_wrap_text_color']);
	$jot_image_meta_background_color = esc_html($jot_options['jot_image_meta_background_color']);
	$jot_image_meta_text_color = esc_html($jot_options['jot_image_meta_text_color']);
	$jot_action_button_background_color = esc_html($jot_options['jot_action_button_background_color']);
	$jot_action_button_icon_color = esc_html($jot_options['jot_action_button_icon_color']);
	$jot_action_button_hover_background_color = esc_html($jot_options['jot_action_button_hover_background_color']);
	$jot_action_button_hover_icon_color = esc_html($jot_options['jot_action_button_hover_icon_color']);
	$jot_action_bar_background_color = esc_html($jot_options['jot_action_bar_background_color']);
		
	$jot_css = '';
	
	if( $jot_options['jot_google_header_font'] != '' && $jot_options['jot_google_header_font_css'] != '' ) {
		$jot_css .= 'h1, h2, h3, h4, h5, h6 { '.sanitize_text_field( $jot_options['jot_google_header_font_css'] ).'}';
	} else {
		if( $jot_options['jot_standard_header_font'] != 'default' ) {
			$jot_css .= 'h1, h2, h3, h4, h5, h6 { '.sanitize_text_field( $jot_options['jot_standard_header_font'] ).';}';
		}
	}
	
	if( $jot_options['jot_google_body_font'] != '' && $jot_options['jot_google_body_font_css'] != '' ) {
		$jot_css .= 'body { '.sanitize_text_field( $jot_options['jot_google_body_font_css'] ).'}';
	} else {
		if( $jot_options['jot_standard_body_font'] != '' ) {
			$jot_css .=	'body {font-family: '.sanitize_text_field( $jot_options['jot_standard_body_font'] ).';}';
		}
	}
	
	$jot_css .= 'body {font-size: '.esc_html( $jot_options['jot_font_size'] ).';}';
	
	//background color
	$jot_css .= 'body{background-color:'.$jot_background_color.';}';
	$jot_css .= '#main-header-800{background-color:'.$jot_background_color.';}';
	$jot_css .= '.jot_slider_widget_class .flex-viewport,.jot-slider-800 .widget .flex-viewport,.gallery-post-feature .flex-viewport{background-color:'.$jot_background_color.';}';
	$jot_css .= '.jot-cat-nav .cat-item{background-color:'.$jot_background_color.';}';
	$jot_css .= '.jot-tag-nav a{background-color:'.$jot_background_color.';}';
	$jot_css .= '#wp-calendar td#today{background-color:'.$jot_background_color.';}';
	$jot_css .= '#wp-calendar tbody td a{color:'.$jot_background_color.';}';
	$jot_css .= '#wp-calendar thead th{background-color:'.$jot_background_color.';}';
	$jot_css .= '.jot-recent-posts-nav li{border-top: 2px solid '.$jot_background_color.';}';
	$jot_css .= '.jot-recent-comments-nav li{border-top: 2px solid '.$jot_background_color.';}';
	$jot_css .= '.jot-meta-nav li{border-top: 2px solid '.$jot_background_color.';}';
	$jot_css .= '.more-link{background-color:'.$jot_background_color.';}';
	$jot_css .= '.pingback,.trackback,.comment,p.no-comments{border-top: 2px solid '.$jot_background_color.';}';
	$jot_css .= '.comment-reply-link{color:'.$jot_background_color.';}';
	$jot_css .= '.comment-list .bypostauthor .comment-author:before {color:'.$jot_background_color.';}';
	$jot_css .= '#jot-footer .tagcloud a {background-color:'.$jot_background_color.';}';
	$jot_css .= '.image-post-feature{background-color:'.$jot_background_color.';}';
	//background accent color
	$jot_css .= '#footer-wrap-800{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-breadcrumbs-wrap{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-meta-wrap{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-meta-nav{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-categories-wrap{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-cat-nav{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-tags-wrap{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-tag-nav{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-calendar-wrap{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-calendar-nav{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-recent-posts-wrap{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-recent-posts-nav{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.nav-links a{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.nav-links .current {color:'.$jot_background_accent_color.';}';
	$jot_css .= '.nav-links a:hover {color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-recent-comments-wrap{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-recent-comments-nav{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-archive-header-wrap{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-author-header{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.tagcloud a{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-comments-wrap{background-color:'.$jot_background_accent_color.';}';
	$jot_css .= '.comment-list .bypostauthor .comment-author:before {color:'.$jot_background_accent_color.';}';
	$jot_css .= '.jot-comments-wrap a.comment-reply-link{color:'.$jot_background_accent_color.';}';
	//background text colors
	$jot_css .= 'body{color:'.$jot_background_text_color.';}';
	$jot_css .= '#main-header-800{color:'.$jot_background_text_color.';}';
	$jot_css .= '.jot_slider_widget_class .flex-viewport,.jot-slider-800 .widget .flex-viewport,.gallery-post-feature .flex-viewport{color:'.$jot_background_text_color.';}';
	$jot_css .= '#footer-wrap-800{color:'.$jot_background_text_color.';}';
	$jot_css .= '.jot-archive-header-wrap{color:'.$jot_background_text_color.';}';
	$jot_css .= '.jot-archive-header i{color:'.$jot_background_text_color.';}';
	$jot_css .= '.jot-author-header{color:'.$jot_background_text_color.';}';
	$jot_css .= '.jot-comments-wrap{color:'.$jot_background_text_color.';}';
	$jot_css .= '.comment-reply-link{background-color:'.$jot_background_text_color.';}';
	$jot_css .= '.comment-list .bypostauthor .comment-author:before{background-color:'.$jot_background_text_color.';}';
	$jot_css .= '.nav-links .current {background-color:'.$jot_background_text_color.';}';
	$jot_css .= '.nav-links a:hover {background-color:'.$jot_background_text_color.';}';
	//background link colors
	$jot_css .= '#main-header-800 a{color:'.$jot_background_link_color.';}';
	$jot_css .= '.jot-more-navigation-800 a{color:'.$jot_background_link_color.';}';
	$jot_css .= '.widget a{color:'.$jot_background_link_color.';}';
	$jot_css .= '#main-header a{color:``'.$jot_background_link_color.';}';
	$jot_css .= '#footer-wrap-800 a{color:'.$jot_background_link_color.';}';
	$jot_css .= '#wp-calendar tbody td a{background-color:'.$jot_background_link_color.';}';
	$jot_css .= '#searchform .keyword{background-color:'.$jot_background_link_color.';}';
	$jot_css .= '.jot-comments-wrap a{color:'.$jot_background_link_color.';}';
	$jot_css .= '.page-numbers{color:'.$jot_background_link_color.';}';
	$jot_css .= '.postpagenav a {color:'.$jot_background_link_color.';}';
	//background hover colors
	$jot_css .= '#main-header-800 a:hover{color:'.$jot_background_hover_color.';}';
	$jot_css .= '.jot-more-navigation-800 a:hover{color:'.$jot_background_hover_color.';}';
	$jot_css .= '.widget a:hover{color:'.$jot_background_hover_color.';}';
	$jot_css .= '#main-header a:hover{color:'.$jot_background_hover_color.';}';
	$jot_css .= '#footer-wrap-800 a:hover{color:'.$jot_background_hover_color.';}';
	$jot_css .= '#wp-calendar tbody td a:hover{color:'.$jot_background_hover_color.';}';
	$jot_css .= '.jot-comments-wrap a:hover{color:'.$jot_background_hover_color.';}';
	$jot_css .= '.postpagenav a:hover {color:'.$jot_background_hover_color.';}';
	//action bar
	$jot_css .= '#action-header-800{background-color:'.$jot_action_bar_background_color.';}';
	//jot action buttons
	$jot_css .= '#jot-mobile-button,.jot-contact,.jot-show-search-trigger,.action-search{background-color:'.$jot_action_button_background_color.';}';
	$jot_css .= '.action-search input{border: 1px solid '.$jot_action_button_background_color.';}';
	$jot_css .= '#jot-mobile-button a,.jot-contact,.jot-show-search-trigger i,.action-search i{color:'.$jot_action_button_icon_color.';}';
	$jot_css .= '#jot-mobile-button:hover,.jot-contact:hover,.jot-show-search-trigger i:hover,.action-search:hover{background-color:'.$jot_action_button_hover_background_color.';color:'.$jot_action_button_hover_icon_color.'}';
	$jot_css .= '#jot-mobile-button a:hover,.jot-contact i:hover,.jot-show-search-trigger i:hover,.action-search i:hover{color:'.$jot_action_button_hover_icon_color.'}';
	//content background color $jot_content_background_color
	$jot_css .= 'article.post{background-color:'.$jot_content_background_color.';}';
	$jot_css .= 'article.page{background-color:'.$jot_content_background_color.';}';
	$jot_css .= 'article.attachment{background-color:'.$jot_content_background_color.';}';
	//content text color $jot_content_text_color
	$jot_css .= 'article.post{color:'.$jot_content_text_color.';}';
	$jot_css .= 'article.page{color:'.$jot_content_text_color.';}';
	$jot_css .= 'article.attachment{color:'.$jot_content_text_color.';}';
	$jot_css .= '.jot-title-line{border-bottom: 1px solid '.$jot_content_text_color.';}';
	//content link color $jot_content_link_color
	$jot_css .= 'article.post a{color:'.$jot_content_link_color.';}';
	$jot_css .= 'article.post .read-more-button{color:'.$jot_content_link_color.';}';
	$jot_css .= 'article.page a{color:'.$jot_content_link_color.';}';
	$jot_css .= 'article.attachment a{color:'.$jot_content_link_color.';}';
	//content hover color $jot_content_hover_color
	$jot_css .= 'article.post a:hover{color:'.$jot_content_hover_color.';}';
	$jot_css .= 'article.post .read-more-button:hover{color:'.$jot_content_hover_color.';}';
	$jot_css .= 'article.page a:hover{color:'.$jot_content_hover_color.';}';
	$jot_css .= 'article.attachment a:hover{color:'.$jot_content_hover_color.';}';
	//Aside Post Format
	$jot_css .= 'article.format-aside.post{background-color:'.$jot_aside_background_color.';}';
	$jot_css .= 'article.format-aside.post,article.sticky.format-aside .status-sticky:before{color:'.$jot_aside_text_color.';}';
	//$jot_css .= 'article.format-aside .post-content .jot-author a,.aside-post-icon i{color:'.$jot_aside_link_color.';}';
	$jot_css .= 'article.format-aside a,.aside-post-icon i{color:'.$jot_aside_link_color.';}';
	$jot_css .= '.aside-post-icon span i:hover,article.format-aside .post-content .jot-author a:hover{color:'.$jot_aside_hover_color.';}';
	//Audio Post Format - content area
	$jot_css .= 'article.format-audio .post-content cite{background-color:'.$jot_audio_message_background_color.';}';
	$jot_css .= 'article.format-audio .post-content cite{color:'.$jot_audio_message_text_color.';}';
	//Chat Post Format
	$jot_css .= 'article.format-chat .post-content{background-color:'.$jot_chat_background_color.';}';
	//Image Post Format
	$jot_css .= '.post-format-image-wrap{background-color:'.$jot_image_wrap_background_color.';}';
	$jot_css .= '.post-format-image-wrap{color:'.$jot_image_wrap_text_color.';}';
	$jot_css .= '.post-format-meta{background-color:'.$jot_image_meta_background_color.';}';
	$jot_css .= '.post-format-meta{color:'.$jot_image_meta_text_color.';}';
	//Quote Post Format - feature area
	$jot_css .= 'article.format-quote .quote-post-feature{background-color:'.$jot_quote_background_color.';}';
	$jot_css .= 'article.format-quote .quote-post-feature{color:'.$jot_quote_text_color.';}';
	$jot_css .= 'article.format-quote.post .quote-post-feature .quote-post-feature-author a{color:'.$jot_quote_link_color.';}';
	$jot_css .= 'article.format-quote.post .quote-post-feature .quote-post-feature-icon{color:'.$jot_quote_icon_color.';}';
	$jot_css .= 'article.format-quote.post .quote-post-feature .quote-post-feature-author a:hover{color:'.$jot_quote_hover_color.';}';
	//Quote Post Format - content area
	$jot_css .= 'article.format-quote .post-content blockquote{background-color:'.$jot_quote_content_color.';}';
	$jot_css .= 'article.format-quote .post-content blockquote{border-left: 5px solid '.$jot_content_text_color.';}';
	//Status Post Format
	$jot_css .= 'article.format-status.post{background-color:'.$jot_status_background_color.';}';
	$jot_css .= 'article.format-status.post{color:'.$jot_status_text_color.';}';
	$jot_css .= 'article.format-status a,.status-post-icon i{color:'.$jot_status_link_color.';}';
	$jot_css .= '.status-post-icon i:hover,article.format-status .post-header .jot-author a:hover{color:'.$jot_status_hover_color.';}';

	//media queries
	$jot_css .= '@media only screen and (max-width:700px){';
	
	$jot_css .= '#jot-mobile-button,.jot-contact,.jot-show-search-trigger,.action-search{background-color:transparent;}';
	$jot_css .= '.action-search{background-color:'.$jot_action_button_background_color.'}';
	$jot_css .= '.action-search input{border: 1px solid '.$jot_action_button_background_color.';}';
	$jot_css .= '#jot-mobile-button a,.jot-contact,.jot-show-search-trigger i,.action-search i{color:'.$jot_action_button_background_color.';}';
	$jot_css .= '.action-search i{color:'.$jot_action_button_icon_color.';}';
	$jot_css .= '#jot-mobile-button:hover,.jot-contact:hover,.jot-show-search-trigger i:hover,.action-search:hover{background-color:transparent;color:'.$jot_action_button_hover_icon_color.'}';
	$jot_css .= '.action-search:hover{background-color:'.$jot_action_button_hover_background_color.';color:'.$jot_action_button_hover_icon_color.'}';
	$jot_css .= '#jot-mobile-button a:hover,.jot-contact i:hover,.jot-show-search-trigger i:hover,.action-search i:hover{background-color:transparent;}';
	$jot_css .= '.action-search i:hover{color:'.$jot_action_button_hover_icon_color.'}';
	
	$jot_css .= '}';

	//load the custom css
	$jot_css .= wp_strip_all_tags( $jot_options['jot_custom_css'] );
		
	return $jot_css;
}

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function jot_customize_register_postmessage_support( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
}
add_action( 'customize_register', 'jot_customize_register_postmessage_support' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function jot_customize_preview_js() {
	wp_enqueue_script( 'jot_customizer_js', get_template_directory_uri() . '/js/kha-customizer.js', array( 'jquery','customize-preview' ), '', true );
}
add_action( 'customize_preview_init', 'jot_customize_preview_js' );
