<?php
/**
 * This file is the Page template file, used to display static
 * Pages if no custom Page template is defined.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Jot WordPress Theme 
 * @copyright Copyright (C) 2015, Kevin Archibald
 * @license	  http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author	  Kevin Archibald <www.kevinsspace.ca/contact/>
 * Jot is distributed under the terms of the GNU GPL
 */
global $jot_options;
$page_slider = sanitize_text_field( ( get_post_meta($post->ID,'jot_metabox_page_slider_sidebar',true) == ''? 'jot_no_sidebar' : get_post_meta($post->ID,'jot_metabox_page_slider_sidebar',true) ) );
$before_sidebar = sanitize_text_field( ( get_post_meta($post->ID,'jot_metabox_page_sidebar_before_content',true) == ''? 'jot_no_sidebar' : get_post_meta($post->ID,'jot_metabox_page_sidebar_before_content',true) ) );
$after_sidebar = sanitize_text_field( ( get_post_meta($post->ID,'jot_metabox_page_sidebar_after_content',true) == ''? 'jot_no_sidebar' : get_post_meta($post->ID,'jot_metabox_page_sidebar_after_content',true) ) );

get_header('page'); ?>

<?php if( $jot_options['jot_use_more_navi_strip'] == true ){
	if($jot_options['jot_more_navi_loc'] == 'below action strip right' || $jot_options['jot_more_navi_loc'] == 'below action strip left' ) { ?>
		<div class="jot-more-navigation">
			<div class="jot-more-navigation-800">
				<?php jot_more_nav(); ?>
			</div>
		</div>
	<?php } 
} ?>

<?php if( is_active_sidebar( $page_slider ) ) { ?>
	<div class="jot-slider">
		<div class="jot-slider-800">
			<?php dynamic_sidebar( $page_slider ); ?>
		</div>
	</div>
<?php } ?>

<?php if( is_active_sidebar( $before_sidebar ) ) { ?>
	<div class="sidebar-before-content">
		<div class="sidebar-before-content-800">
			<?php dynamic_sidebar( $before_sidebar ); ?>
		</div>
	</div>
<?php } ?>

<div class="jot-content">
	<main class="jot-content-800">

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
			
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> >
					
					<?php if ( has_post_thumbnail() && !post_password_required() ) : ?>
						<div class="image-post-feature">
							<?php the_post_thumbnail('full'); ?>
						</div>
					<?php endif; ?>

					<?php jot_page_title(); ?>
	
					<div class="post-content">
						<?php if( !post_password_required() ) {
							
							the_content(__('Read more','jot')); ?>
							
							<div class="jot-in-content-meta">
								<?php jot_post_meta_edit();	?>
							</div>
						
						<?php } else {
									
							echo get_the_password_form();
									
						} ?>
						
					</div>
					
				</article>
				
				<div class="clearfix"></div>
				
				<?php if(comments_open()) { ?>
					<div class="jot-comments-wrap">
						<?php comments_template('/comments.php', true); ?>
					</div>
				<?php }

		endwhile; else : endif; ?>
	
	</main><!-- content -->
</div><!-- content-wrap -->

<?php if( is_active_sidebar( $after_sidebar ) ) { ?>
	<div class="sidebar-after-content">
		<div class="sidebar-after-content-800">
			<?php dynamic_sidebar( $after_sidebar ); ?>
		</div>
	</div>
<?php } ?>

<?php get_footer('page'); ?>