<?php
/**
 * Single Page WordPress file
 *
 * This file is the Single Page template file, which is 
 * used to display single posts and the comment system
 * 
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Jot WordPress Theme 
 * @copyright Copyright (C) 2015, Kevin Archibald
 * @license	  http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author	  Kevin Archibald <www.kevinsspace.ca/contact/>
 * Jot is distributed under the terms of the GNU GPL
 */
global $jot_options;
$post_style = sanitize_text_field( $jot_options[ 'jot_blog_style' ] );

get_header('no_sidebar'); ?>

<?php if( $jot_options['jot_use_more_navi_strip'] == true ){
	if($jot_options['jot_more_navi_loc'] == 'below action strip right' || $jot_options['jot_more_navi_loc'] == 'below action strip left' ) { ?>
		<div class="jot-more-navigation">
			<div class="jot-more-navigation-800">
				<?php jot_more_nav(); ?>
			</div>
		</div>
	<?php } 
} ?>

<div class="jot-content">
	<main class="jot-content-800">
		
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
			
			<article id="post-<?php the_ID(); ?>" <?php post_class('jot-one-col'); ?> >
				<?php jot_post_format(); ?>
			</article>
			
			<div class="clearfix"></div>
			
			<div class="jot-comments-wrap">
				<?php comments_template('/comments.php', true); ?>
			</div>
			
		<?php endwhile;
			
			// call navigation
			get_template_part( '/template-parts/partials', 'single_navi' );

		else :
				
			//call nothing there
			get_template_part( '/template-parts/partials', 'post_or_page_not_found' );

		endif; ?>
	
	</main><!-- content -->
</div><!-- content-wrap -->

<?php get_footer('blog'); ?>