<?php
/**
 * Template Part, blog custom query and posts - 3 column grid
 *
 * used in home.php, called by the blog-parts layouts
 * 
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
$temp = $wp_query;
$wp_query = null;
$wp_query = new WP_Query();
/*
 * WP_Query is used to get the posts....allowing the filtering of posts 
 * the user does not want to include on the blog page. When you set up a post and 
 * you check the "Do not display this post" in the Jot Post Options panel it will 
 * not be displayed. If it is a categorie in the categories to exclude list in the Customize
 * options panel the post will also be excluded.
 */
$exclude_categories_list = jot_exclude_category_validation();
$exclude_ids = array();
$exclude_ids = explode( ',', $exclude_categories_list );
$args = array(
				'post_status' => 'publish',
				'category__not_in' => $exclude_ids,
				'meta_query' => array(
					array(
						'key' => 'jot_metabox_exclude_post',
						'compare' => 'NOT EXISTS'
						)
					),
				'paged' => $paged
				);
$wp_query -> query( $args);

// first column
$post_counter = 0; ?>
<div class="jot-three-col-1" >

	<?php if ($wp_query->have_posts()) : while ($wp_query->have_posts()) : $wp_query->the_post();
	
		if( $post_counter === 0 || is_int( $post_counter/3 ) ) { ?>
			
			<article id="post-col-1-<?php the_ID(); ?>" <?php post_class('jot-three-wrap-all jot-three-wrap-1'); ?> data-order="<?php echo $post_counter; ?>">

				<?php jot_grid_post_format(); ?>
			
			</article>
				
		<?php }
		
		$post_counter ++;
		
	endwhile;
	else :
	endif; ?>

</div>


<?php //Second Column
$post_counter = 0; ?>
<div class="jot-three-col-2">
	
	<?php if ($wp_query->have_posts()) : while ($wp_query->have_posts()) : $wp_query->the_post();
	
		if( $post_counter === 1 || is_int( ($post_counter-1)/3 ) ) { ?>

			<article id="post-col-2-<?php the_ID(); ?>" <?php post_class('jot-three-wrap-all jot-three-wrap-2'); ?> data-order="<?php echo $post_counter; ?>" >

				<?php jot_grid_post_format(); ?>
			
			</article>
				
		<?php } 
		
		$post_counter ++;
		
	endwhile;
	else :
	endif; ?>
	
</div>

<?php //Third Column
$post_counter = 0; ?>
<div class="jot-three-col-3">
	
	<?php if ($wp_query->have_posts()) : while ($wp_query->have_posts()) : $wp_query->the_post();
	
		if( $post_counter === 2 || is_int( ($post_counter+1)/3 ) ) { ?>

			<article id="post-col-3-<?php the_ID(); ?>" <?php post_class('jot-three-wrap-all jot-three-wrap-3'); ?> data-order="<?php echo $post_counter; ?>" >

				<?php jot_grid_post_format(); ?>
			
			</article>
				
		<?php } 
		
		$post_counter ++;
		
	endwhile;
	else :
	endif; ?>
	
</div>

<?php
	get_template_part( '/template-parts/partials', 'page_navi' );
	
	$wp_query = null;
	$wp_query = $temp;
	wp_reset_query();