<?php
/**
 * Jot Portfolio One Column template part
 *
 * This template part is called by template-portfolio.php
 *
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */

$category =  sanitize_text_field( ( get_post_meta($post->ID,'jot_portfolio_category',true) == ''? false : get_post_meta($post->ID,'jot_portfolio_category',true) ) );
$display_post_content = intval( ( get_post_meta($post->ID,'jot_metabox_include_post_content',true) == ''? false : get_post_meta($post->ID,'jot_metabox_include_post_content',true) ) );
$display_post_content_title = intval( ( get_post_meta($post->ID,'jot_metabox_include_post_content_title',true) == ''? false : get_post_meta($post->ID,'jot_metabox_include_post_content_title',true) ) );
$display_image_caption = intval( ( get_post_meta($post->ID,'jot_metabox_include_image_caption',true) == ''? false : get_post_meta($post->ID,'jot_metabox_include_image_caption',true) ) );
$display_image_description = intval( ( get_post_meta($post->ID,'jot_metabox_include_image_description',true) == ''? false : get_post_meta($post->ID,'jot_metabox_include_image_description',true) ) );

$category_ID = get_cat_ID( $category );
global $post,$jot_feature_pic_count;
$args = array('category'=>$category_ID,'numberposts'=>999);
$custom_posts = get_posts($args);

if ($category_ID !== 0 && $custom_posts){
	
	$jot_feature_pic_count == 0;
	
	echo '<div class="portfolio-one-column-wrap">';
	
		foreach($custom_posts as $post) : setup_postdata($post);
		
			//get the switches to exclude a feature image link or customize the link
			$link_to_post = intval( get_post_meta($post->ID,'jot_metabox_link_to_post',true) == ''? false : get_post_meta($post->ID,'jot_metabox_link_to_post',true) );
			$link_to_image = intval( get_post_meta($post->ID,'jot_metabox_link_to_image',true) == ''? false : get_post_meta($post->ID,'jot_metabox_link_to_image',true) );
			$custom_feature_link = esc_url( get_post_meta($post->ID,'jot_custom_feature_link',true) == ''? false : get_post_meta($post->ID,'jot_custom_feature_link',true) );
	
			if (has_post_thumbnail()) {
				
				if ( $jot_feature_pic_count != 0 ) {
					echo '<div class="thin-border"></div>';
				}
				
				echo '<div class="portfolio-one-column">';
					$jot_feature_pic_count ++;
				
					echo '<div class="left-col">';
					
						echo '<div class="portfolio-image-container">';
						
							//Set up the link
					 		if( $link_to_post == true ) {
					 			echo '<a href="';
									the_permalink(); echo '"';
									echo ' title="';the_title_attribute();
									echo '" >';
			 						the_post_thumbnail('large');
								echo '</a>';
					 		} elseif ( $link_to_image == true ) {
					 			$image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');	
					 			echo '<a href="';
									echo $image_url[0].'"';
									echo ' title="';the_title_attribute();
									echo '" >';
			 						the_post_thumbnail('large');
								echo '</a>';
					 		} elseif ( $custom_feature_link != false ) {
					 			echo '<a href="';
									echo $custom_feature_link;
									echo '"';
									echo ' title="';the_title_attribute(); echo '" >';
				 					the_post_thumbnail('large');
								echo '</a>';
					 		} else {
					 			the_post_thumbnail('large');
					 		}
						
						echo '</div>';
						
						if( $display_image_caption == 1 ) {
							echo '<div class="display-image-caption">';
								$content = get_post(get_post_thumbnail_id())->post_excerpt;
								echo '<h3>';
									echo $content;
								echo '</h3>';
							echo '</div>';
						}
						
						if( $display_image_description == 1 ) {
							echo '<div class="display-image-description">';
								$content = get_post(get_post_thumbnail_id())->post_content;
								echo $content;
							echo '</div>';
						}
		
					echo '</div>';
				
					echo '<div class="right-col">';
					
						if( $display_post_content_title == 1 ) {
							$content_title = the_title_attribute('echo=0');
							echo '<div class="display-post-title"><h3>';
									echo $content_title;
							echo '</h3></div>';
						}
						
						echo '<div class="display-post-content">';
							$post_content = get_the_content();
							$post_content = apply_filters('the_content', $post_content);
							echo $post_content;
						echo '</div>';
												
					echo '</div>';
					
					echo '<div class="clearfix"></div>';
				echo '</div>';		
			}
			
		endforeach;
		
	echo '</div>';
	
} else {
	echo '<div class="portfolio-error">';
	echo '<h3>'.__('Error: no posts or categories are wrong!','jot').'</h3>';
	echo '</div>';
}
if ($jot_feature_pic_count == 0){
	echo '<div class="portfolio-error">';
	echo '<h3>'.__('Error: There were no feature images found?','jot').'</h3>';
	echo '</div>';
}
		
?>