<?php
/**
 * Jot Post Format Audio
 *
 * The Audio Post Format includes one or more audio tracks. The format is : 
 * <cite>Audio Title <audio src="http://audio link" preload="auto" /></cite>
 * Audio.js is used to display the audio track for the visitor to play. If it is not 
 * enabled this post format should not be used. It will omly play mp3 files at this time.
 * Alternatively use a standard <a> tag and the formatting will be similar.
 * 
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $jot_options;
$use_excerpts = intval( $jot_options[ 'jot_use_excerpts' ] );

//get audio feature
get_template_part( '/template-parts/post-formats/postformat', 'audio_feature' ); 

?>

<?php jot_post_title(); ?>
	
<div class="post-content">
	<?php if( !post_password_required() ) {
		
		if( $use_excerpts == true && !is_single() ) {
			$content = get_the_content();
			$embed_audio = hybrid_media_grabber_audio(array('type'=>'audio','split_media'=>'true'));
			$content = str_replace( $embed_audio, '', $content );
			$content_trimmed = jot_trim_excerpt($content );
			$excerpt = apply_filters( 'the_excerpt', $content_trimmed );
			echo $excerpt;
		} else {
			$content=get_the_content();
			$embed_audio = hybrid_media_grabber_audio(array('type'=>'audio','split_media'=>'true'));
			$content = str_replace( $embed_audio, '', $content );
			$content = apply_filters( 'the_content', $content );
			echo $content;
		} ?>
		
		<div class="jot-in-content-meta">
			<?php
				jot_post_meta_pages();
				jot_post_meta_no_title();
				jot_post_meta_edit();
			?>
		</div>
	
	<?php } else {
				
		echo get_the_password_form();
				
	} ?>
	
</div>

<footer class="post-footer">
	<div class="post-footer-row1">
		<?php 
			jot_post_format_icon( 'fa-music' ,__('Audio','jot') , 'audio' , 'false' );
			jot_post_meta_timestamp( 'audio' , 'false' );
			jot_post_meta_author( 'audio' );
			jot_comments_link(); 
		?>
	</div>
	<div class="post-footer-row2">
		<?php 
			jot_post_meta_category();
			jot_post_meta_tags();
		?>
	</div>
</footer>