<?php
/**
 * Jot Post Format Gallery
 *
 * The Gallery Post Format is really set up for a single gallery. It alllows the user 
 * to post a gallery and not have all the pictures presented. The number of pictures are counted
 * and displayed as a caption to the most recent image in the gallery. Only the post excerpt is allowed.
 * I used the twenty-eleven content-gallery.php as a guide for this format.
 *
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $jot_options;
$use_excerpts = intval( $jot_options[ 'jot_use_excerpts' ] );
$images = jot_get_gallery_images();

get_template_part( '/template-parts/post-formats/postformat', 'gallery_feature' );
?>

<?php jot_post_title(); ?>
	
<div class="post-content">
	<?php if( !post_password_required() ) {
		
		if( $use_excerpts == true && !is_single() ) {
			$content=get_the_content();
			$content = jot_strip_first_gallery( $content );
			$content_trimmed = jot_trim_excerpt($content );
			$excerpt = apply_filters( 'the_excerpt', $content_trimmed );
			echo $excerpt;
		} else {
			$content=get_the_content();
			$content = jot_strip_first_gallery( $content );
			$content = apply_filters( 'the_content', $content );
			echo $content;
		} ?>
				
		<div class="jot-in-content-meta">
			<?php
				jot_post_meta_pages();
				jot_post_meta_no_title();
				jot_post_meta_edit();
			?>
		</div>
	
	<?php } else {
				
		echo get_the_password_form();
				
	} ?>
	
</div>

<footer class="post-footer">
	<div class="post-footer-row1">
		<?php 
			jot_post_format_icon( 'fa-th' ,__('Gallery','jot') , 'gallery' , 'false' );
			jot_post_meta_timestamp( 'gallery' , 'false' );
			jot_post_meta_author( 'gallery' );
			jot_comments_link(); 
		?>
	</div>
	<div class="post-footer-row2">
		<?php 
			jot_post_meta_category();
			jot_post_meta_tags();
		?>
	</div>
</footer>