<?php
/**
 * Template Part, gallery feature for gallery post format
 *
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $jot_options;
$images = array();
$images = jot_get_gallery_images();
$auto = intval( $jot_options[ 'jot_flex_gallery_auto' ] );
$effect = sanitize_text_field( $jot_options[ 'jot_flex_gallery_effect' ] );
$pause = intval( $jot_options[ 'jot_flex_gallery_pause' ] );
$trans_time = intval( $jot_options[ 'jot_flex_gallery_trans' ] );

if ( !post_password_required() ) { ?>
	<div class="gallery-post-feature">
		<div id="flexgallery-carousel" class="flexslider jot-gallery-thumb">
			<ul class="slides">
				<?php
				
					//set up the carousel
					foreach ($images as $image) {
						
						echo '<li>';
							
							$thumb = wp_get_attachment_image_src( $image ,'jot_wide') ;		
							$image_url = $thumb[0];
												 		
					 		//Set up the link
							echo '<img src="'.$image_url.'" title="" alt="flex thumb" />';
						
						echo '</li>';
						
					}
			
				?>
			</ul>
		</div>
		
		<div id="flexgallery-feature" class="flexslider" data-gallery_trans="<?php echo esc_attr( $trans_time ); ?>" data-gallery_pause="<?php echo esc_attr( $pause ); ?>" data-gallery_effect="<?php esc_attr( $effect ); ?>" data-gallery_auto="<?php echo esc_attr($auto); ?>">
			<ul class="slides">
				<?php
				
					//set up the carousel
					foreach ($images as $image) {
						
						echo '<li>';
						
							$thumb = wp_get_attachment_image_src( $image ,'large') ;
							$image_url = $thumb[0];
												 		
							//Set up the link
				 			echo '<img src="'.$image_url.'" title="" alt="flex feature" />';
						
						echo '</li>';
						
					}
			
				?>
			</ul>
		</div>
		
	</div>
	
<?php } ?>