<?php
/**
 * Jot Post Format Aside - Grid Style
 *
 * The Aside Post Format is typically styled without a title. Similar to a Facebook note update.
 * In my case I have excluded all links, meta (except author), and the title. Only content is shown.
 * 
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $jot_options;

$display_post_author = intval( $jot_options[ 'jot_author_in_blog' ] );
$user_exists = (is_user_logged_in() && current_user_can( 'edit_posts') )? true:false;

get_template_part( '/template-parts/partials', 'feature_image' ); ?>

<div class="post-wrap-grid post-content">
	
	<?php if( !post_password_required() ) {
	
		the_content(__('Read more','jot'));
		
		if($display_post_author == 1) { ?>
			<span class="vcard jot-author post-author"><span class="author fn"><?php the_author_posts_link(); ?></span></span> 
		<?php } else { ?>
			<span class="screen-reader-text vcard author post-author"><span class="author fn"><?php the_author_posts_link(); ?></span></span> 
		<?php }
		
		if( $user_exists == true ) { ?>
			<div class="jot-in-content-meta">
				<?php jot_post_meta_edit();	?>
			</div>
		<?php } ?>
	
		<div class="aside-footer">
			<span class="aside-sticky">&nbsp;</span>
			<a class="aside-post-icon" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
				<?php jot_post_format_icon( 'fa-adn' ,__('Aside','jot') , 'aside' , 'true' ); ?>
			</a>
		</div>
	
	<?php } else {
				
		echo get_the_password_form();
				
	} ?>
	
</div>