<?php
/**
 * Jot Post Format Image - Grid Style
 *
 * The Image Post Format is basically the same as the Standard Post Format. The only 
 * difference is that there is a border added and a drop shadow on the images. 
 * Thus it is not ideal for embedding in your post, but you can if you want. It is 
 * really designed for single images with a little text.
 *
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $jot_options;
$use_excerpts = intval( $jot_options[ 'jot_use_excerpts' ] );
$display_image_meta = intval( $jot_options[ 'jot_display_image_meta' ] );
?>

<?php jot_post_title(); ?>
	
<div class="post-wrap-grid post-content">
	<?php if( !post_password_required() ) {
		
		//feature image
		if ( has_post_thumbnail() ) { ?>
		
			<div class="post-format-image-wrap">
			
				<div class="post-format-image">
					<?php the_post_thumbnail('full'); ?>
				</div>
				
				<?php if( $display_image_meta == 1 ) {
					
					echo '<div class="post-format-meta">';
					
						$image_meta = wp_get_attachment_metadata( get_post_thumbnail_id() );
						echo '<span class="">Camera : '.$image_meta['image_meta']['camera'].' | </span>'; 
						echo '<span class="">Width : '.$image_meta['width'].' px | </span>';
						echo '<span class="">Height : '.$image_meta['height'].' px | </span><br/>';
						echo '<span class="">Aperture : '.$image_meta['image_meta']['aperture'].' | </span>';
						echo '<span class="">Focal Length : '.$image_meta['image_meta']['focal_length'].' | </span>';
						if( $image_meta['image_meta']['shutter_speed'] != 0 ) {
							$shutter_speed = 1/$image_meta['image_meta']['shutter_speed'];
						} else {
							$shutter_speed = '';
						}
						echo '<span class="">Shutter Speed : '.$image_meta['image_meta']['iso'].'</span>';
					
					echo '</div>';
					
				}
			
				if( get_post(get_post_thumbnail_id())->post_excerpt != '' )	{
					echo '<div class="display-image-caption">';
						echo '<h2>'.get_post(get_post_thumbnail_id())->post_excerpt.'</h2>';		
					echo '</div>';
					
				}
	
				if( get_post(get_post_thumbnail_id())->post_content != '' )	{
					echo '<div class="display-image-content">';
						echo get_post(get_post_thumbnail_id())->post_content;		
					echo '</div>';
					
				} ?>
				
			</div>
			
		<?php }
	
		if( $use_excerpts == true && !is_single() ) {
			the_excerpt();
		} else {
			the_content(__('Read more','jot'));
		} ?>
		
		<div class="jot-in-content-meta">
			<?php
				jot_post_meta_pages();
				jot_post_meta_no_title();
				jot_post_meta_edit();
			?>
		</div>
	
	<?php } else {
				
		echo get_the_password_form();
				
	} ?>
	
</div>

<footer class="post-footer">
	<div class="post-footer-row1">
		<?php 
			jot_post_format_icon( 'fa-image' ,__('Image','jot') , 'image' , 'true' );
			jot_post_meta_timestamp( 'image' , 'true' );
			jot_post_meta_author( 'image' );
			jot_comments_link(); 
		?>
	</div>
	<div class="post-footer-row2">
		<?php 
			jot_post_meta_category();
			jot_post_meta_tags();
		?>
	</div>
</footer>