<?php
/**
 * Jot Post Format Quote - Grid Style
 *
 * The Quote Post Format is really the same as the Standard Post Format. The main difference 
 * is that the conent is posted under a "quote-entry" class, allowing special CSS for <blockquote>
 * and <cite> tags.
 *
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $jot_options;
$use_excerpts = intval( $jot_options[ 'jot_use_excerpts' ] );
get_template_part( '/template-parts/post-formats/postformat', 'quote_feature' );
?>

<?php jot_post_title(); ?>
	
<div class="post-wrap-grid post-content">
	<?php if( !post_password_required() ) {
		
		if( $use_excerpts == true && !is_single() ) {
			$content = get_the_content();
			$content = jot_strip_extracted_quote( $content );
			$content_trimmed = jot_trim_excerpt($content );
			$excerpt = apply_filters( 'the_excerpt', $content_trimmed );
			echo $excerpt;
		} else {
			$content = get_the_content();
			$content = jot_strip_extracted_quote( $content );
			$content = apply_filters( 'the_content', $content );
			echo $content;
		} ?>
		
		<div class="jot-in-content-meta">
			<?php
				jot_post_meta_pages();
				jot_post_meta_no_title();
				jot_post_meta_edit();
			?>
		</div>
	
	<?php } else {
				
		echo get_the_password_form();
				
	} ?>
	
</div>

<footer class="post-footer">
	<div class="post-footer-row1">
		<?php 
			jot_post_format_icon( 'fa-quote-left' ,__('Quote','jot') , 'quote' , 'true' );
			jot_post_meta_timestamp( 'quote' , 'true' );
			jot_post_meta_author( 'quote' );
			jot_comments_link(); 
		?>
	</div>
	<div class="post-footer-row2">
		<?php 
			jot_post_meta_category();
			jot_post_meta_tags();
		?>
	</div>
</footer>