<?php
/**
 * Jot Post Format Standard - Grid Style
 *
 * 
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $jot_options;
$use_excerpts = intval( $jot_options[ 'jot_use_excerpts' ] );

get_template_part( '/template-parts/partials', 'feature_image' );

jot_post_title(); ?>
	
<div class="post-wrap-grid  post-content">
	<?php if( !post_password_required() ) {
		
		if( $use_excerpts == true && !is_single() ) {
			the_excerpt();
		} else {
			the_content(__('Read more','jot'));
		} ?>
		
		<div class="jot-in-content-meta">
			<?php
				jot_post_meta_pages();
				jot_post_meta_no_title();
				jot_post_meta_edit();
			?>
		</div>
	
	<?php } else {
				
		echo get_the_password_form();
				
	} ?>
	
</div>

<footer class="post-footer">
	<div class="post-footer-row1">
		<?php 
			jot_post_format_icon( 'fa-align-justify' ,__('Standard','jot') , 'standard' , 'true' );
			jot_post_meta_timestamp( 'standard' , 'true' );
			jot_post_meta_author( 'standard' );
			jot_comments_link(); 
		?>
	</div>
	<div class="post-footer-row2">
		<?php 
			jot_post_meta_category();
			jot_post_meta_tags();
		?>
	</div>
</footer>