<?php
/**
 * Jot Post Format Video - Grid Style
 *
 * The Video Post Format is designed for video posts with little text. The text you do 
 * enter is shown as a caption in the bottom of the video window. The  css styling 
 * is set up for embedded video so simply type in the http:// reference and you are set.
 *
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $jot_options;
$use_excerpts = intval( $jot_options[ 'jot_use_excerpts' ] );

//get video feature
get_template_part( '/template-parts/post-formats/postformat', 'video_feature' ); 
?>

<?php jot_post_title(); ?>
	
<div class="post-wrap-grid post-content">
	<?php if( !post_password_required() ) {
		
		if( $use_excerpts == true && !is_single() ) {
			$content=get_the_content();
			$embed_audio = hybrid_media_grabber_video();
			$content = str_replace( $embed_audio, '', $content );
			$content_trimmed = jot_trim_excerpt($content );
			$excerpt = apply_filters( 'the_excerpt', $content_trimmed );
			echo $excerpt;
		} else {
			the_content(__('Read more','jot'));
		} ?>
		
		<div class="jot-in-content-meta">
			<?php
				jot_post_meta_pages();
				jot_post_meta_no_title();
				jot_post_meta_edit();
			?>
		</div>
	
	<?php } else {
				
		echo get_the_password_form();
				
	} ?>
	
</div>

<footer class="post-footer">
	<div class="post-footer-row1">
		<?php 
			jot_post_format_icon( 'fa-video-camera' ,__('Video','jot') , 'video' , 'true' );
			jot_post_meta_timestamp( 'video' , 'true' );
			jot_post_meta_author( 'video' );
			jot_comments_link(); 
		?>
	</div>
	<div class="post-footer-row2">
		<?php 
			jot_post_meta_category();
			jot_post_meta_tags();
		?>
	</div>
</footer>