<?php
/**
 * Template Part, quote feature for quote post format
 *
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
$content = get_the_content();
$embed = jot_extract_embed($content);
$quote_data = explode( '|' , $embed );

if ( !post_password_required() && $embed != '' ) { ?>
	<div class="quote-post-feature">
		<i class="quote-post-feature-icon fa fa-2x fa-quote-left" title="<?php _e('Quote','jot'); ?>"></i>
		<?php 
			echo '<span class="quote-post-feature-quote">'.$quote_data[0].'</span>'; 
			if( isset( $quote_data[2] ) ) {
				if( isset( $quote_data[1] ) ) {
					$quote_author = '<a href="'.esc_url( $quote_data[2] ).'">'.esc_html( $quote_data[1] ).'</a>';
				}
			} elseif( isset( $quote_data[1] ) ) {
				$quote_author = esc_html( $quote_data[1] );
			} else {
				$quote_author = '';
			}
			if( $quote_author != '' ){
				echo '<span class="quote-post-feature-author">'.$quote_author.'</span>';
			}	 
		?>
	</div>
<?php } ?>