<?php
/**
 * Jot Post Format Status
 *
 * The Status Post Format is a short status update, similar to a Twitter status update.
 * Included in this format is a time stamp, author avatar and a author name. Comments are 
 * permitted. 
 *
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $jot_options;
$display_post_author = intval( $jot_options[ 'jot_author_in_blog' ] );
$include_timestamp = intval( $jot_options[ 'jot_timestamp_in_blog' ] );
$user_exists = (is_user_logged_in() && current_user_can( 'edit_posts') )? true:false;

get_template_part( '/template-parts/partials', 'feature_image' ); ?>

<div class="post-content">
	
	<header class="post-header">
		<?php
			echo get_avatar( get_the_author_meta('ID'), 60 );
			jot_post_meta_author( 'status' );
			jot_post_meta_timestamp( 'status' , 'false' );
		?>
	</header>
	
	<div class="status-post-content">
		<?php if( !post_password_required() ) { ?>
	
			<?php the_content(__('Read more','jot'));

			if( $user_exists == true ) { ?>
				<div class="jot-in-content-meta">
					<?php jot_post_meta_edit();	?>
				</div>
			<?php } ?>
	
		<?php } else {
				
			echo get_the_password_form();
				
		} ?>
		
		<footer class="status-footer">
			<span class="status-sticky">&nbsp;</span>
			<a class="status-post-icon" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
				<?php jot_post_format_icon( 'fa-bullhorn' ,__('Status','jot') , 'status' , 'false' ); ?>
			</a>
		</footer>
	</div>
	
</div>