<?php
/*
Plugin Name: Jot Social Links Widget
Plugin URI: http://kevinsspace.ca/demo4/
Description: A widget for the Jot theme that displays the social links
Version: 1.0
Author: Kevin Archibald
Author URI: http://kevinsspace.ca/
License: GPLv3
 */
 
/**
 * Social links widget file
 *
 * This file is  widget that will load any links that have urls coded in the 
 * jot Options => General Tab
 *
 * @package		Jot WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */

// use widgets_init action hook to execute custom function
 add_action ( 'widgets_init','jot_social_links_register_widget' );

//register our widget 
 function jot_social_links_register_widget() {
 	register_widget ( 'jot_social_links_widget' );
 }
 
 //widget class
class jot_social_links_widget extends WP_Widget {

    //process the new widget
    public function __construct() {
        $widget_ops = array( 
			'classname' => 'jot_social_links_widget_class', 
			'description' => __('Display social links','jot') 
			); 
        parent::__construct( 'jot_social_links_widget', __('Jot Social Links Widget','jot'), $widget_ops );
    }
 	
 	// Form for widget setup
 	public function form ( $instance ) {
 		$jot_social_defaults = array(
 			'jot_social_title' => __('Social Links','jot'),
			'jot_social_icon_size' => 'small',//no translation here
 			'jot_social_delicious' => 0,
 			'jot_social_digg' => 0,
			'jot_social_facebook' => 0,
			'jot_social_flickr' => 0,
			'jot_social_google' => 0,
			'jot_social_instagram' => 0,
			'jot_social_linkedin' => 0,
			'jot_social_myspace' => 0,
			'jot_social_pinterest' => 0,
			'jot_social_rss' => 0,
			'jot_social_tumblr' => 0,
			'jot_social_twitter' => 0,
			'jot_social_vimeo' => 0,
			'jot_social_yelp' => 0,
			'jot_social_youtube' => 0
		);
		$instance = wp_parse_args( (array) $instance, $jot_social_defaults );
		$title = $instance['jot_social_title'];
		$icon_size = $instance['jot_social_icon_size'];
		$delicious = $instance['jot_social_delicious'];
		$digg = $instance['jot_social_digg'];
		$facebook = $instance['jot_social_facebook'];
		$flickr = $instance['jot_social_flickr'];
		$google = $instance['jot_social_google'];
		$instagram = $instance['jot_social_instagram'];
		$linkedin = $instance['jot_social_linkedin'];
		$myspace = $instance['jot_social_myspace'];
		$pinterest = $instance['jot_social_pinterest'];
		$rss = $instance['jot_social_rss'];
		$tumblr = $instance['jot_social_tumblr'];
		$twitter = $instance['jot_social_twitter'];
		$vimeo = $instance['jot_social_vimeo'];
		$yelp = $instance['jot_social_yelp'];
		$youtube = $instance['jot_social_youtube'];
		?>
			<p><?php _e('Title : ','jot'); ?><input class="widefat" id="<?php echo $this->get_field_id('jot_social_title'); ?>" name="<?php echo $this->get_field_name('jot_social_title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
			<p><?php _e('Icon size : ','jot'); ?>
				<select name="<?php echo $this->get_field_name('jot_social_icon_size'); ?>">
					<option value="small" <?php selected( $icon_size, "small" ); ?>>small</option>
					<option value="large" <?php selected( $icon_size, "large" ); ?>>large</option>
				</select> 
			</p>
			<p>Delicious <input name="<?php echo $this->get_field_name('jot_social_delicious'); ?>" type="checkbox" <?php checked( $delicious, 'on' ); ?> /></p>
			<p>Digg <input name="<?php echo $this->get_field_name('jot_social_digg'); ?>" type="checkbox" <?php checked( $digg, 'on' ); ?> /></p>
			<p>Facebook <input name="<?php echo $this->get_field_name('jot_social_facebook'); ?>" type="checkbox" <?php checked( $facebook, 'on' ); ?> /></p>
			<p>Flickr <input name="<?php echo $this->get_field_name('jot_social_flickr'); ?>" type="checkbox" <?php checked( $flickr, 'on' ); ?> /></p>
			<p>Google+ <input name="<?php echo $this->get_field_name('jot_social_google'); ?>" type="checkbox" <?php checked( $google, 'on' ); ?> /></p>
			<p>Instagram <input name="<?php echo $this->get_field_name('jot_social_instagram'); ?>" type="checkbox" <?php checked( $instagram, 'on' ); ?> /></p>
			<p>Linkedin <input name="<?php echo $this->get_field_name('jot_social_linkedin'); ?>" type="checkbox" <?php checked( $linkedin, 'on' ); ?> /></p>
			<p>MySpace <input name="<?php echo $this->get_field_name('jot_social_myspace'); ?>" type="checkbox" <?php checked( $myspace, 'on' ); ?> /></p>
			<p>Pinterest <input name="<?php echo $this->get_field_name('jot_social_pinterest'); ?>" type="checkbox" <?php checked( $pinterest, 'on' ); ?> /></p>
			<p>RSS <input name="<?php echo $this->get_field_name('jot_social_rss'); ?>" type="checkbox" <?php checked( $rss, 'on' ); ?> /></p>
			<p>Tumblr <input name="<?php echo $this->get_field_name('jot_social_tumblr'); ?>" type="checkbox" <?php checked( $tumblr, 'on' ); ?> /></p>
			<p>Twitter <input name="<?php echo $this->get_field_name('jot_social_twitter'); ?>" type="checkbox" <?php checked( $twitter, 'on' ); ?> /></p>
			<p>Vimeo <input name="<?php echo $this->get_field_name('jot_social_vimeo'); ?>" type="checkbox" <?php checked( $vimeo, 'on' ); ?> /></p>
			<p>Yelp <input name="<?php echo $this->get_field_name('jot_social_yelp'); ?>" type="checkbox" <?php checked( $yelp, 'on' ); ?> /></p>
			<p>Youtube <input name="<?php echo $this->get_field_name('jot_social_youtube'); ?>" type="checkbox" <?php checked( $youtube, 'on' ); ?> /></p>
		<?php	
	}
	
	//save the widget settings
	public function update ( $new_instance, $old_instance ) {
		
		$instance = $old_instance;
        $instance['jot_social_title'] = sanitize_text_field( $new_instance['jot_social_title'] );
		$instance['jot_social_icon_size'] = sanitize_text_field( $new_instance['jot_social_icon_size'] );
		$instance['jot_social_delicious'] = strip_tags( $new_instance['jot_social_delicious'] );
		$instance['jot_social_digg'] = strip_tags( $new_instance['jot_social_digg'] );
		$instance['jot_social_facebook'] = strip_tags( $new_instance['jot_social_facebook'] );
		$instance['jot_social_flickr'] = strip_tags( $new_instance['jot_social_flickr'] );
		$instance['jot_social_google'] = strip_tags( $new_instance['jot_social_google'] );
		$instance['jot_social_instagram'] = strip_tags( $new_instance['jot_social_instagram'] );
		$instance['jot_social_linkedin'] = strip_tags( $new_instance['jot_social_linkedin'] );
		$instance['jot_social_myspace'] = strip_tags( $new_instance['jot_social_myspace'] );
		$instance['jot_social_pinterest'] = strip_tags( $new_instance['jot_social_pinterest'] );
		$instance['jot_social_rss'] = strip_tags( $new_instance['jot_social_rss'] );
		$instance['jot_social_tumblr'] = strip_tags( $new_instance['jot_social_tumblr'] );
		$instance['jot_social_twitter'] = strip_tags( $new_instance['jot_social_twitter'] );
		$instance['jot_social_vimeo'] = strip_tags( $new_instance['jot_social_vimeo'] );
		$instance['jot_social_yelp'] = strip_tags( $new_instance['jot_social_yelp'] );
		$instance['jot_social_youtube'] = strip_tags( $new_instance['jot_social_youtube'] );
		
		return $instance;
	}
	
	//display the widget
	public function widget($args, $instance) {
		global $jot_options;
		extract ( $args);
		echo $before_widget;
		$title = apply_filters( 'widget_title', $instance['jot_social_title'] );
		if ( !empty( $title )) { echo $before_title.$title.$after_title;}
		$html = '';
		
		$html .= '<div class="jot-social-widget">';
			if ( $instance['jot_social_icon_size'] == 'small' ){
				If(esc_url($jot_options['jot_delicious_link']) !=="" && $instance['jot_social_delicious'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_delicious_link']) . '" target="_blank" ><i class="fa fa-fw fa-delicious small" title="Delicious"></i></a>';
				If(esc_url($jot_options['jot_digg_link']) != "" && $instance['jot_social_digg'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_digg_link']) . '" target="_blank" ><i class="fa fa-fw fa-digg fa-fw small" title="Digg"></i></a>';
				If(esc_url($jot_options['jot_facebook_link']) !=="" && $instance['jot_social_facebook'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_facebook_link']) . '" target="_blank" ><i class="fa fa-fw fa-facebook-f small" title="Facebook"></i></a>';
				If(esc_url($jot_options['jot_flickr_link']) !=="" && $instance['jot_social_flickr'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_flickr_link']) . '" target="_blank" ><i class="fa fa-fw fa-flickr small" title="Flickr"></i></a>';
				If(esc_url($jot_options['jot_google_link']) !=="" && $instance['jot_social_google'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_google_link']) . '" target="_blank" ><i class="fa fa-fw fa-google-plus small" title="Google+"></i></a>';
				If(esc_url($jot_options['jot_instagram_link']) !=="" && $instance['jot_social_instagram'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_instagram_link']) . '" target="_blank" ><i class="fa fa-fw fa-instagram small" title="Instagram"></i></a>';
				If(esc_url($jot_options['jot_linkedin_link']) !=="" && $instance['jot_social_linkedin'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_linkedin_link']) . '" target="_blank" ><i class="fa fa-fw fa-linkedin small" title="Linkedin"></i></a>';
				If(esc_url($jot_options['jot_myspace_link']) !=="" && $instance['jot_social_myspace'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_myspace_link']) . '" target="_blank" ><i class="fa fa-fw fa-users small" title="Myspace"></i></a>';
				If(esc_url($jot_options['jot_pinterest_link']) !=="" && $instance['jot_social_pinterest'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_pinterest_link']) . '" target="_blank" ><i class="fa fa-fw fa-pinterest-p small" title="Pinterest"></i></a>';
				If(esc_url($jot_options['jot_rss_link']) !=="" && $instance['jot_social_rss'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_rss_link']) . '" target="_blank" ><i class="fa fa-fw fa-rss small" title="RSS"></i></a>';
				If(esc_url($jot_options['jot_tumblr_link']) !=="" && $instance['jot_social_tumblr'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_tumblr_link']) . '" target="_blank" ><i class="fa fa-fw fa-tumblr small" title="Tumblr"></i></a>';
				If(esc_url($jot_options['jot_twitter_link']) !=="" && $instance['jot_social_twitter'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_twitter_link']) . '" target="_blank" ><i class="fa fa-fw fa-twitter small" title="Twitter"></i></a>';
				If(esc_url($jot_options['jot_vimeo_link']) !=="" && $instance['jot_social_vimeo'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_vimeo_link']) . '" target="_blank" ><i class="fa fa-fw fa-vimeo-square small" title="Vimeo"></i></a>';
				If(esc_url($jot_options['jot_yelp_link']) !=="" && $instance['jot_social_yelp'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_yelp_link']) . '" target="_blank" ><i class="fa fa-fw fa-yelp small" title="Yelp"></i></a>';
				If(esc_url($jot_options['jot_youtube_link']) !=="" && $instance['jot_social_youtube'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_youtube_link']) . '" target="_blank" ><i class="fa fa-fw fa-youtube-play small" title="Youtube"></i></a>';
			} else {
				If(esc_url($jot_options['jot_delicious_link']) !=="" && $instance['jot_social_delicious'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_delicious_link']) . '" target="_blank" ><i class="fa fa-fw fa-delicious large" title="Delicious"></i></a>';
				If(esc_url($jot_options['jot_digg_link']) != "" && $instance['jot_social_digg'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_digg_link']) . '" target="_blank" ><i class="fa fa-fw fa-digg large" title="Digg"></i></a>';
				If(esc_url($jot_options['jot_facebook_link']) !=="" && $instance['jot_social_facebook'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_facebook_link']) . '" target="_blank" ><i class="fa fa-fw fa-facebook-f large" title="Facebook"></i></a>';
				If(esc_url($jot_options['jot_flickr_link']) !=="" && $instance['jot_social_flickr'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_flickr_link']) . '" target="_blank" ><i class="fa fa-fw fa-flickr large" title="Flickr"></i></a>';
				If(esc_url($jot_options['jot_google_link']) !=="" && $instance['jot_social_google'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_google_link']) . '" target="_blank" ><i class="fa fa-fw fa-google-plus large" title="Google+"></i></a>';
				If(esc_url($jot_options['jot_instagram_link']) !=="" && $instance['jot_social_instagram'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_instagram_link']) . '" target="_blank" ><i class="fa fa-fw fa-instagram large" title="Instagram"></i></a>';
				If(esc_url($jot_options['jot_linkedin_link']) !=="" && $instance['jot_social_linkedin'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_linkedin_link']) . '" target="_blank" ><i class="fa fa-fw fa-linkedin large" title="Linkedin"></i></a>';
				If(esc_url($jot_options['jot_myspace_link']) !=="" && $instance['jot_social_myspace'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_myspace_link']) . '" target="_blank" ><i class="fa fa-fw fa-users large" title="Myspace"></i></a>';
				If(esc_url($jot_options['jot_pinterest_link']) !=="" && $instance['jot_social_pinterest'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_pinterest_link']) . '" target="_blank" ><i class="fa fa-fw fa-pinterest-p large" title="Pinterest"></i></a>';
				If(esc_url($jot_options['jot_rss_link']) !=="" && $instance['jot_social_rss'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_rss_link']) . '" target="_blank" ><i class="fa fa-fw fa-rss large" title="RSS"></i></a>';
				If(esc_url($jot_options['jot_tumblr_link']) !=="" && $instance['jot_social_tumblr'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_tumblr_link']) . '" target="_blank" ><i class="fa fa-fw fa-tumblr large" title="Tumblr"></i></a>';
				If(esc_url($jot_options['jot_twitter_link']) !=="" && $instance['jot_social_twitter'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_twitter_link']) . '" target="_blank" ><i class="fa fa-fw fa-twitter large" title="Twitter"></i></a>';
				If(esc_url($jot_options['jot_vimeo_link']) !=="" && $instance['jot_social_vimeo'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_vimeo_link']) . '" target="_blank" ><i class="fa fa-fw fa-vimeo-square large" title="Vimeo"></i></a>';
				If(esc_url($jot_options['jot_yelp_link']) !=="" && $instance['jot_social_yelp'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_yelp_link']) . '" target="_blank" ><i class="fa fa-fw fa-yelp large" title="Yelp"></i></a>';
				If(esc_url($jot_options['jot_youtube_link']) !=="" && $instance['jot_social_youtube'] == 'on' ) $html .= '<a href="' . esc_url($jot_options['jot_youtube_link']) . '" target="_blank" ><i class="fa fa-fw fa-youtube-play large" title="Youtube"></i></a>';
			}
		$html .= '</div>';
			
		echo $html;
		echo $after_widget; 
	}
}